-----3.5.5e-----
-Fixed a bug, where reloading the last manual backup through hotkeys (F4 by default) didn't work.

-----3.5.5d-----
-EZAB will now only close all addons on exit and not other ahk scripts.
-Fixed a bug, where the background image for the Elden Ring coop profile didn't show or wasn't downloaded, when the profile was selected.
-Fixed a bug, where the Elden Ring coop profile wasn't deleted correctly from the .ini after updating the profile, so save file (.sl2/.co2) wouldn't be recognized correctly. Please make sure to update the profile if you have trouble with Elden Ring backups.
-Fixed a bug, where the "Creating quick/manual backup.." text in the statusbar would get stuck, after the "backup couldn't be created" error message showed up.

-----3.5.5c-----
-Added an additional info text on the statusbar, to update the profile if the game type of the current profile doesn't match the local lists game.
-Updated the error message with more details, when a backup couldn't be created.
-Minor code optimizations to the profile detection, you should now always see the yellow ! icon, whenever the profile type doesn't match the game selected game from the "Game List". Please read the ! icons tooltip on how to update the profile.
-Minor text changes.
-Fixed a bug for the "Elden Ring" "Character Info" not showing stats for different character slots. Note: some slots may still show N/A.
-Fixed a bug, where the "Checking for Updates" text on the status bar sometimes freezes on launch.

-----3.5.5b-----
-Added back the "Browse" button in the "Game List", in case you want to edit a game to select the correct game process.
-Removed the "AutoMonitorOff" addon integration with the "Launch Game" button, since it requires you to have that addon installed, otherwise a error will show up.
-Fixed a bug, when you want to edit a save file name in the "Game List" from e.g. "save.dat" to "GamePass" the file extension ".dat" remains in the save file name so it'll be "GamePass.dat" instead of just "GamePass". But keep in mind that save scumming for gamepass games may not work beacause you cannot disable the cloud saves.
-Fixed a bug, where no backups were created, when the "Force single save file backup" is enabled in the "Game List".

-----3.5.5a-----
-Fixed a bug, where the statusbar message "Check for new updates.." gets stuck at launch.

-----3.5.5-----
-Added Macro backup functionality. When macros exist for a profile, they'll be now also included in the profile backup, and will be restored when the <profile>.zip is loaded.
-Added a "Skip Intro" "Game Option" for "Ghost of Tsushima".
-Changed the "Add New Game" functionality. You have to click on "Add New Game" to select a running game process first, in order to enter the other required informations to add a custom game to the list.
-It's now possible to put ' in the game name.
-Better integration for the "Auto Monitor Off Addon", when using the "Launch Game" button, it will turn off all secondary monitors first before launching the game, to make sure RTX HDR mode is enabled and the Nvidia HDR settings are available in game. When the game is closed, the secondary monitors will turn back on.
-Updated tooltip for "Add New Game".
-Removed the "Browse" button to open the process list in the "Game List" since it's not needed anymore.
-Removed the info message, regarding the last used profile and after a default profile was loaded on launch, since it may sound confusing and the check isn't for common use.
-Fixed a bug, where after adding a "Quick Launch App", the app name didn't changed in the settings.
-Fixed a bug, when deleting a "Quick Launch App" in the settings, the path edit box didn't reset.
-Fixed a bug, where it wasn't possible to retoggle the default profile (star icon) right after it was toggled, unless the profile was switched or after a restart.
-Fixed a bug, where the (Online) Game List tab didn't show the correct version, tho it has been updated.
-Fixed a bug, when a game of an existing backup doesn't exist in the local "Game List", the info icon for non existing game didn't show up.
-Fixed a bug, when loading a profile backup, and the game didn't exist in the local "Game List", the info icon for non existing game didn't show up.
-Fixed the view for the row divisions of the backup list, when launching EZAB for the very first time.
-Fixed a bug in the "CPU Affinity" settings, where toggling "Use custom .exe" didn't enabled the edit box correctly.
-Other minor fixes and tooltip updates.

-----3.5.4b Beta 2-----
-Added Macro backup functionality. When macros exist for a profile, they'll be now also included in the profile backup, and will be restored when the <profile>.zip is loaded.
-Added a "Skip Intro" "Game Option" for "Ghost of Tsushima".
-It's now possible to put ' in the game name.
-Better integration for the "Auto Monitor Off Addon", when using the "Launch Game" button, it will turn off all secondary monitors first before launching the game, to make sure RTX HDR mode is enabled and the Nvidia HDR settings are available in game. When the game is closed, the secondary monitors will turn back on.
-Fixed a bug, when a game of an existing backup doesn't exist in the local "Game List", the info icon for non existing game didn't show up.
-Fixed a bug, when loading a profile backup, and the game didn't exist in the local "Game List", the info icon for non existing game didn't show up.
-Fixed the view for the row divisions of the backup list, when launching EZAB for the very first time.
-Fixed a bug in the "CPU Affinity" settings, where toggling "Use custom .exe" didn't enabled the edit box correctly.
-Other minor fixes and tooltip updates.

-----3.5.4b Beta 1-----
-Changed the "Add New Game" button to now directly open up the process list, to choose a game.exe for adding to the "Game List".
-Updated tooltip for "Add New Game".
-Removed the "Browse" button to open the process list in the "Game List" since it's not needed anymore.
-Removed the info message, regarding the last used profile and after a default profile was loaded on launch, since it may sound confusing and the check isn't for common use.
-Fixed a bug, where after adding a "Quick Launch App", the app name didn't changed in the settings.
-Fixed a bug, when deleting a "Quick Launch App" in the settings, the path edit box didn't reset.
-Fixed a bug, where it wasn't possible to retoggle the default profile (star icon) right after it was toggled, unless the profile was switched or after a restart.

-----3.5.4b-----
-It's now possible to put ( or ) in the game name.
-Minor updates in a few error messages.
-Fixed a bug, when "Auto detect profile, when game is running" is enabled, the profile was switched, but the profile selection drop down box didn't changed to the games profile.
-Fixed a bug, when the excluded files doesn't have a file extension, they would still be checked and included in the backups.

-----3.5.4a-----
-Added an additional error message, when the profile type is unknown, to let you know where to set the correct game type on quick and manual backups.
-Fixed a bug, where the hotkeys E and Shift were disabled.

-----3.5.4-----
-Added an error message for the profile backup function, if the backup couldn't be created because a special character like öäü is in one of the backup files name.
-Added an aditional info to also check the game folders, when the backup couldn't be created.
-Added an aditional tooltip info for the last modified save in the status bar, in case the save file is too long to see the date.
-Extended the waiting time for "Rage Quickload" to restart the game from 5 to 8 sec.
-When "Force single save file backup" is enabled in the "Game List", only that file will now be checked, to see if it's been modified for the auto backups.
-Changed the GUI text for the backup and save folders to game backup/game save folder to make it lesss confusing, to choose the correct folders.
-Fixed a bug in the "Game List", where the "Browse" button to add files to exclude, wasn't enabled after the game.exe was input to the edit box.
-Fixed a minor text miss alignment in the TTS text for the volume control.
-Fixed a minor tooltip error for the "Rage quickload" hotkey.
-Fixed a minor bug, where the "Save Changes" button in the "Game List", wasn't disabled, after changes beeing saved.
-Fixed a bug, where the Downloading ReShade message on the statusbar wouldn't change tho it's downloaded.
-Fixed a bug, where the "Please wait" dialog e.g. for profile backup when closing EZAB, wasn't in the center of the EZAB UI.
-Fixed a bug, where an auto backup may not be created with excluded files.
-Fixed a bug, where the backup list and statusbar still shows the files from the previous profile, when switching to a profile, where the game type is unknown.

-----3.5.3c Beta 3-----
-Added an aditional info to also check the game folders, when the backup couldn't be created.
-Added an aditional tooltip info for the last modified save in the status bar, in case the save file is too long to see the date.
-Added a tooltip for the addon name in the "Addons Manager", in case the name ist too long for the text field.
-Changed the GUI text for the backup and save folders to game backup/game save folder to make it lesss confusing, to choose the correct folders.
-Fixed a minor bug, where the "Save Changes" button in the "Game List", wasn't disabled, after changes beeing saved.
-Fixed a bug, where an auto backup may not be created with excluded files.
-Fixed a bug, where the backup list and statusbar still shows the files from the previous profile, when switching to a profile, where the game type is unknown.

-----3.5.3c Beta 2-----
-Extended the waiting time for "Rage Quickload" to restart the game from 5 to 8 sec.
-Added an error message for the profile backup function, if the backup couldn't be created because a special character like öäü is in one of the backup files name.
-Fixed a bug, where the Downloading ReShade message on the statusbar wouldn't change tho it's downloaded.
-Fixed a bug, where the "Please wait" dialog e.g. for profile backup when closing EZAB, wasn't in the center of the EZAB UI.

-----3.5.3c Beta 1-----
-When "Force singe save file backup" is enabled in the "Game List", only that file will now be checked, to see if it's been modified for the auto backups.
-Fixed a bug in the "Game List", where the "Browse" button to add files to exclude, wasn't enabled after the game.exe was input to the edit box.
-Fixed a minor text miss alignment in the TTS text for the volume control.
-Fixed a minor tooltip error for the "Rage quickload" hotkey.

-----3.5.3c-----
-A few Menubar > Profile options which requires an existing profile, will now be disabled if no profile exists.
-Fixed a bug, where the TTS message edit box could show ERROR in some cases.
-Fixed a bug, where the restart function was still using the old method of using the Updater.exe
-Fixed a bug, where closing EZAB or launching the "Mods Manager" could throw an error for invalid GUI position info.
-Fixed a bug, where toggling items from the menubar didn't work.

-----3.5.3b-----
-Fixed a minor but where the status info didn't show all backup info messages.
-Fixed a bug, where the first steps tutorial popup will always show at launch, tho profiles exists.

-----3.5.3a-----
-".bak" files won't be auto excluded anymore. 
-It's not required to put .none in the save file name, when the save file has no extension anymore.
-Fixed a bug, where longer tooltips didn't follow the mouse anymore.
-Fixed a bug in the first start tooltips position, it will now also adjust it's position to the UI window.

-----3.5.3-----
-Added the functionality to include addons, which can be integrated and use the global EZAB variables or add addon specific functions to the EZAB menus.
-Added the right click menu "Addons" where you can add a menu for your addon by using Menu, Addons, Add, YourAddonMenu.
-Added multi selection support for the listview to delete multiple backups.
-Added "Rage Quickload", if your a souls noob like me set up a hotkey for this function to 1 button game restart and load "Quickbackup" after 3 sec to continue where you last "Quickbackup" is ;). This will only reload the "Quickbackup" (F5 by default) file so make sure to create it first e.g. before bosses or in a save spot.
-Added a hotkey setting for "Rage Quickload".
-Code optimizations.
-Changed the addons list in the "Addons Manager" from ListBox to ListView, where you can enable/disable including addons (if available), otherwise it will launch the addon.
-Changed the listview loading order on EZAB launch.
-Improved bg download functionality. Now only the missing bg image from the current profile will be download (if available), instead of every single image. If you want to keep your gfx folder clean you can delete every bg_..jpg file once.
-Updated "Addons Manager" tooltips
-The "Auto detect profile" function won't be active now when the settings UI is active to avoid compatibility issues with the "Quick Launch" apps.
-Fixed a bug in the "Game List Online" tooltip for excluded files, where the whole ini section was displayed, when no game was selected.
-Fixed the logic of the "add excluding files" function from the browse button. The button will now be enabled if files were added through the browse dialog and requires to save to be applied like the other edit fields.
-Fixed the GUI height size of the Info and check box elements in the "Addons Manager".
-Fixed a bug, where the "Profile List" wasn't disabled, when the "Addons Manager" was launched.
-Fixed a bug, where the "Autostart auto backup when game is running" option didn't save when it was toggled.
-Fixed a bug, in the "Quick selection" where the listview item wasn't focused, when the selected backup wasn't visible in the current list view.
-Fixed a bug, where after creating a manual backup, the status bar info for auto backup wasn't updating anymore.
-Fixed a minor UI miss alignment in the "Hotkeys Settings".
-Fixed a bug, where the autostart auto backup may occur when switched to a profile which has it turned off.
-Fixed a bug, where the background image for the "Elden Ring" profile wasn't set.
-Fixed a bug, where the game list may could't be downloaded at launch and showed (ERROR) in the "Game List" Online tab.
-Fixed a bug, where you couldn't use the : character, when you want to add or edit a game name in the "Game List".
-Fixed a bug in the "Character Info" for "Elden Ring", where checking the character info from the right click menu couldn't find the character.
-Other minor bug fixes and tooltip updates.

-----3.5.2a Beta 3-----
-Added "Rage Quickload", if your a souls noob like me set up a hotkey for this function to 1 button game restart and load "Quickbackup" after 3 sec to continue where you last "Quickbackup" is ;). This will only reload the "Quickbackup" (F5 by default) file so make sure to create it first e.g. before bosses or in a save spot. Note: You have to set the hotkey for this!
-Added a hotkey setting for "Rage Quickload".
-Code optimizations.
-It's now possible to specify the "Include" info with for only sepcific games. Just put include in the game= info section of your script e.g. game=eldenring.exe,DarkSoulsIII.exe,include. Keep in mind that this is only for filtering in the "Addons Manager" for a full compatibily check you have to specify it in yaour script, by reading the profile variable.
-Fixed a minor UI miss alignment in the "Hotkeys Settings".
-Fixed a bug, where you could run included scripts from the "Addons Manager", which should only run when EZAB is launched.
-Fixed a bug, where the autostart auto backup may occur when switched to a profile which has it turned off.
-Fixed a bug, where the background image for the "Elden Ring" profile wasn't set.
-Fixed a bug, where the game list may could't be downloaded at launch and showed (ERROR) in the "Game List" Online tab.
-Other minor bug fixes.

-----3.5.2a Beta 2-----
-Added multi selection support for the listview to delete multiple backups.
-Changed the listview loading order on EZAB launch.
-The "Auto detect profile" function won't be active now when the settings UI is active to avoid compatibility issues with the "Quick Launch" apps.
-Fixed a bug in the "Game List Online" tooltip for excluded files, where the whole ini section was displayed, when no game was selected.
-Fixed a bug, where the "Autostart auto backup when game is running" option didn't save when it was toggled.
-Fixed a bug, in the "Quick selection" where the listview item wasn't focused, when the selected backup wasn't visible in the current list view.
-Fixed a bug, where after creating a manual backup, the status bar info for auto backup wasn't updating anymore.

-----3.5.2a Beta 1-----
-Added the functionality to include addons, which can be integrated and use the global EZAB variables or add addon specific functions to the EZAB menus.
-Changed the addons list in the "Addons Manager" from ListBox to ListView, where you can enable/disable including addons (if available), otherwise it will launch the addon.
-Improved bg download functionality. Now only the missing bg image from the current profile will be download (if available), instead of every single image. If you want to keep your gfx folder clean you can delete every bg_..jpg file once. 
-Updated "Addons Manager" tooltips
-Fixed the logic of the "add excluding files" function from the browse button. The button will now be enabled if files were added through the browse dialog and requires to save to be applied like the other edit fields.
-Fixed the GUI height size of the Info and check box elements in the "Addons Manager".
-Fixed a bug, where the "Profile List" wasn't disabled, when the "Addons Manager" was launched.

-----3.5.2a-----
-Code optimizations.
-You can now update the profile without having to stop auto backup manually, it will now auto stopped.
-Fixed a bug for games like Dark Souls 3, where only 1 save file is in the save folder, the save would be deleted after the backup was created.
-Fixed a bug, where "Quickbackup" shows a save file not found error, when the game save folder has only 1 file like Dark Souls 3.
-Fixed a bug, where manual and quick backup for games with each saves are in separate folders didn't backed up the correct files.
-Fixed a bug in the "Game List", where the "Update Profile" and "Add New Game" button wasn't disabled, after a game was deleted from the local list.
-Other minor bug fixes.

-----3.5.2-----
-Removed "Game Notes" since many may not care about the infos anyways and the github data pull causes additional false positives.
-Fixed a bug, where auto backup may not work when the game saves.

-----3.5.1c-----
-General code optimizations to reduce false positives (There are a few new ones since the GitHub integration for the "Game Notes" but overall its less).
-Code changes for interaction methods with the Updater.exe to reduce FileDelete and unnecessary code lines. You may have to download the complete ERAB package since the updater may not work for older versions. Check the Important Notes to go to the nexus download page.
-UE5 command list for "Hogwarts Legacy" will now open the list online, instead of installing the local html site, to reduce FileInstall beeing used.
-The "Enable Cheat Menu" button for "Lies of P" has been changed to download dxgi, and the commands are now always shown in the list.
-Removed "Contacts" GUI code, since it's been removed in the previous EZAB versions.

-----3.5.1b-----
-Added a box in the "Online Game List", to also see the excluded files from the online profiles.
-Code optimizations for the "Game Option" initialisation for individual games.
-Fixed an drawing issue of the statusbar, where it sometime didn't show after the listview refreshed.
-Fixed a bug, where after switching profiles for a few times, the background image size may not auto scale to fit the GUI anymore, with resolutions higher than 1440p.
-Fixed a bug, where the statusbar sometimes shows N/A after a backup has been created.
-Fixed a bug, where the Preferences GUI position didn't match the EZAB position when opening.
-Fixed a bug, where right clicking the backup screenshot preview, opens the "Quick Launch" settings, instead of the screenshot.
-Fixed a bug, where an error for non existent menu for "Run EZAB on windows startup" would show up. That setting was moved to the "EZAB Settings" in "Preferences".

-----3.5.1a-----
-Fixed an issue where the GUI background image didn't auto scale with > 1440p resolutions.
-Fixed an issue where the splash image progress bar width was off for > 1440p Resolutions.
-Fixed a bug, where the profile tooltip was above the profile list box so that sometimes it wasn't possible to switch profiles because of the overlayed tooltip.

-----3.5.1-----
-Fixed a bug in the "Lies of P Cheat Menu", where the position wasn't saved correctly after closing the menu, so an error message was shown.
-The dxgi.dll for the "Lies of P Cheat Menu" isn't included anymore. After enabling the cheat menu, and closing the info popup, you will be redirected the the authors main page to download the newest dxgi.dll from there.
-Fixed a bug in the "Addons Manager", where launching an addon will always show an incompatible with current profile error message.

-----3.5.0-----
-Added "Addon Manager". You can write your own ahk scripts and put in the EZAB\Addons folder, which can be launched by double clicking in the list without having to install AutoHotkey.
 When EZAB is closed all running ahk scripts will be auto closed. Put a commented line on top of your script with the following attributes to show additional addon infos:
 /*
 [info]
 author=name
 version=x.x
 info=Some addon description.
 game=game1.exe, game2.exe
 */
 Use the game attribute to only allow running the addon, when the specific game profile is active.
 To get the current profile name, use IniRead, Profile, ..\ERAB.ini, config, Profile. Then you can get other profile relevant infos with IniRead, var, ..\%Profile%.profile, config, key.
 You can also use FileReadLine 1 for the profiles backup folder, 2 for the save folder, 3 for the last save date or 4 for the save file name.
 An example script will be available at https://www.nexusmods.com/site/mods/768
-Added "Menubar > Enter download code" which will replace the manual "Install BETA version" function, to install beta and early access versions.
-Added a hotkey setting for "Backup save folder".
-Added "Menubar > Profile > Always backup entire save folder", to always backup the entire save folder for any backup function beeing used.
-Added "Menubar > Profile > Enable inactive window backup", to enable background backups without having the game process to be the active window for the current profile. This is mainly for using EZAB for servers which are running in the background (Like Palworld server).
-Added "Menubar > Help > GitHub", where you can help completing the "Game Notes" database.
-Added an info message, when the (Online) Game List couldn't be downloaded, which normaly shows ERROR instead of the online version.
-Changed the search site for the "?" button to lookup the save file location from google to PCGamingWiki.
-The "Auto detect profiles, when game is running", will now also toggle "Start Auto Backup", depending on the "Autostart auto backup.." option of the current profile.
-The "Enable hotkeys" setting is now saved for each profile separately and is enabled by default.
-Changed the right "Add New Game" button in the "Game List" to "Add to list", so it's less confused instead of having two "Add New Game" buttons.
-When the "Mods Manager" or "Game List" are opened the "Auto detect profile" option won't switch the profile anymore, to prevent profile incompatibility.
-Moved "Menubar > Options > Run EZAB on windws startup" to "Prferences > EZAB Settings".
-Further code optimizations and bug fixes for the "Mods Manager".
-Updated a few tooltips.
-Removed the "Prevent backup from another profile" option.
-Fixed a bug, where after adding a new or diffrent game.exe from the "Process List" and all required boxes are filled, the "Add New Game" button wasn't enabled.
-Fixed a bug, where the "Save Changes" button in the "Game List" had been enabled regardless of whether changes were made.
-Fixed a bug, where controller hotkeys were still active when the hotkeys were disabled.
-Fixed a bug, where sometimes only 1 file may be backed up if the save folder contains multiple files. A delay was added to make sure all files are included.
-Fixed a bug, when "Saves are in separate folder" was enabled, not the corresponding folder was contained in the backup, but only the file which was modified.
-Fixed a bug, where the "Enable auto quicksave" for "Baldurs Gate 3" didn't have a fail check and the "Quick saving" message get stuck when the saving failed.
-Fixed a bug, where the default sort order at launch for the listview wasn't in the ascending order.
-Fixed a bug, where the backup list always had a fix sorting after the backup list was auto refreshed.
-Fixed a bug in the "Game List", where the "Add New Game" button (on the right side), wasn't disabled after all edit boxes were cleared by the "Add New Game" button (on the left side).
-Fixed a bug, when restoring a "SaveFolder" the file wasn't always moved to the correct folder.
-Fixed a bug, where the "Quick Launch" buttons for new profiles showed ERROR, which also behaved like the button was set.
-Fixed a bug, where the option "Only backup files that contain the save file name" didn't worked with "Save files are in separate folder".
-Fixed a bug in the "Mods Manger", where the uninstalling info didn't close when uninstalling a child entry.
-Fixed a bug, where a backup with multiple save files couldn't be created.
-Fided a bug, where at EZAB launch the hotkeys are always enabled, regardless of them beeing disabled.
-Fixed a bug, where setting ap a "Quick Launch App" will write the wrong QL app number to the config, e.g. addon QL 1 will write to QL 2 so the button or tooltip for QL app 1 won't show/function correctly.
-Fixed a bug, where deleting a Quick Launch app, didn't disable the QL 1-4 button afterwards.
-Fixed a bug, where "Profile backup on exit" for the profile, was creating an empty empty backup if the profile backup folder doesn't exists. Those profiles will now be excluded from the backup and an error message will pop up.
-Other minor bug fixes.

-----3.4.9c Beta 5-----
-Added an option to show only compatible addons for the current profile in the "Addons Manager".
-Changed the right "Add New Game" button in the "Game List" to "Add to list", so it's less confused instead of having two "Add New Game" buttons.
-Updated a few tooltips.
-Fixed a bug, where double clicking anywhere in the "Addons Manager" trigger the run addon function.
-Fixed a bug, where the "Quick Launch" buttons for new profiles showed ERROR, which also behaved like the button was set.
-Fixed a bug in the "Mods Manger", where the uninstalling info didn't close when uninstalling a child entry.

-----3.4.9c Beta 4-----
-Improved "download code" feature with a better detection if a file has been completly downloaded.
-When the "Mods Manager" or "Game List" are opened the "Auto detect profile" option won't switch the profile anymore, to prevent profile incompatibility.
-Further code optimizations and bug fixes for the "Mods Manager" (installing child files is still WIP).
-The option "Only backup files that contain the save file name" is now working with "Save files are in separate folder".
-Removed the "Prevent backup from another profile" option.
-Fixed a bug, where after adding a new or diffrent game.exe from the "Process List" and all required boxes are filled, the "Add New Game" button wasn't enabled.
-Fixed a bug, where disabling the hotkeys would, also disable every UI hotkeys instead of only profile relevant hotkeys.

-----3.4.9c Beta 3-----
-Implemented "Always backup entire save folder" functionality.
-Implemented "Enable background backup" functionality. It's recommended to turn off the hotkeys if you use EZAB for a background process.
-Made some optimizations to the overall create and load backup functionality in order to work with the "Backup entire save folder" option.
-"Menubar > Updater > Install Beta version" renamed to "Enter download code", to download beta and early access versions for patrons.
-The "Auto detect profiles, when game is running", will now also toggle "Start Auto Backup", depending on the "Autostart auto backup.." option of the current profile.
-The "Enable hotkeys" setting is now saved for each profile separately and is enabled by default. 
-Fixed a bug, where the "Save Changes" button in the "Game List" had been enabled regardless of whether changes were made.
-Fixed a bug, where controller hotkeys were still active when the hotkeys were disabled.
-Fixed a bug, where sometimes only 1 file may be backed up if the save folder contains multiple files. A delay was added to make sure all files are included.
-Fixed a bug, when "Saves are in separate folder" was enabled, not the corresponding folder was contained in the backup, but only the file which was modified.
-Fixed a bug, where the "Enable auto quicksave" for "Baldurs Gate 3" didn't have a fail check and the "Quick saving" message get stuck when the saving failed.
-Fixed a bug, where the default sort order at launch for the listview wasn't in the ascending order.
-Fixed a bug, where the backup list always had a fix sorting after the backup list was auto refreshed.

-----3.4.9c Beta 2-----
-Added a hotkey setting for "Backup save folder".
-Added "Menubar > Profile > Always backup entire save folder", to always backup the entire save folder for any backup function beeing used. (For now the function is not implemented)
-Added "Menubar > Profile > Profile is a background process", to enable background backups for the current profile (for servers running in the background). It's recommended to disable hotkeys, when this option is used. (For now the function is not implemented)
-Fixed a bug in the "Game List", where the "Add New Game" button (on the right side), wasn't disabled after all edit boxes were cleared by the "Add New Game" button (on the left side).
-Fixed a bug, where not entering any beta code to install a beta version also showed the invalid code message.
-Fixed a bug, when restoring a "SaveFolder" the file wasn't moved to the correct folder.

-----3.4.9c Beta 1-----
-Added "Addon Manager". You can write your own ahk scripts and put in the EZAB\Addons folder, which can be launched by double clicking in the list without having to install AutoHotkey.
 When EZAB is closed all running ahk scripts will be auto closed. Put a commented line on top of your script with the following attributes to show additional addon infos:
 /*
 [info]
 author=name
 version=x.x
 info=Some addon description.
 game=game1.exe, game2.exe
 */
 Use the game attribute to only allow running the addon, when the specific game profile is active.
 It's also recommended to use #SingleInstance Force.

-----3.4.9c-----
-The Install Beta function under "Menubar > Updater > Install BETA version" is now more convenient, you have to enter the beta code in order to install an existing beta version. The code will be postet in the discord VIP channel.
-Fixed a bug, where the Steam path for the quick launch button wasn't set correctly.

-----3.4.9b-----
-Migrated ActiveX to the About tab, to use html.
-Fixed a bug, where the <Steam> variable in the "Game List", didn't point to the steam userdata folder.

-----3.4.9a-----
-Added ActiveX to the updater UI, to use html for the changelogs. Update changes won't show in older versions any more, but you can still check them in the EZAB "Preferences (Alt+S) > Changelogs".
-Added the hotkeys "Enter" and "Numpad Enter" to the "Process List" to search for a process, instead of having to click on "Search".
-Fixed a bug, where the "Game List" option "Save files are in separate folder." didn't backed up subfolders.
-Fixed a bug, where the Steam path of the shortcut button wasn't saved, once it's detected.

-----3.4.9-----
-Reworked the "Mods Manager". Files should be move properly to the correct folders now. If you notice any bugs please report on discord.
-Added a "Open NexusMods" button in the "Mods Manager" settings to open the NexusMods page of the current profiles game.
-Added F1 hotkey to the "Mods Manager" to open the NexusMods page of the selected mod.
-Added the functionality to delete a macro input with the "DEL" key from the sequence list.
-Added an option, to always run EZAB in a minimized to tray state under "Menubar > Options".
-Added an option to auto switch to the running game's profile, under "Menubar > Options". If enabled it's recommended to use with the "Autostart auto backup.." option under "Menubar > Profile", which can be turned on individually for each profile.
-Added proper listview sorting, which now sorts from newest <> oldest files regardless of the date format.
-Optimized the code for the listview sorting.
-Changed the steam process name to set the quick launcher button, from steam.exe to steamwebhelper.exe since the steam.exe couldn't be detected for some reason.
-The refresh the backups list function, will now also redraw the statusbar. This will fix the graphical glitch, which could occur sometimes.
-Updated default ERAB.ini.
-Pressing F4 will now also refocus the "Mods Manager" when it's already opened.
-Fixed a bug, when switching from the current profile with "autostart auto backup" enabled to another profile which has it disabled, the auto start will sometimes trigger.
-Fixed a bug, where after renaming a macro, the hotkey wasn't updated to the new macro name in the profile config file.
-Fixed a bug in the macro hotkey tooltips, where it will always show (not assigned) instead of the assigned macro name.
-Fixed a bug, where the delay for macros wasn't present in the code, which resulted in macro sequences not working correctly.
-Fixed a bug, where reopening the "Macro Manager" when it's already opened, will show an error.
-Fixed a bug, where the "Cheat Menu" or "Save File Manager" for "Lies of P" didn't show up in the right click menu, after the profile was created.
-Fixed a bug, where after using the "Browse" button to add excluded files, the selected files weren't inserted in the exclude edit box.
-Fixed a bug, where sometimes Reshade updates couldn't be renamed to the new version because the temp file wasn't fully downloaded yet, so you had to rename Reshade.ERAB manually to ReShade_Setup_<version>.exe.
-Removed the build in Report Bug function, since it wasn't used often and discord is better suited for that. (That alone seems to reduced the false positives quite a bit ;))

-----3.4.8a Beta 3-----
-Added a "Open NexusMods" button in the "Mods Manager" settings to open the NexusMods page of the current profiles game.
-Added F1 hotkey to the "Mods Manager" to open the NexusMods page of the selected mod.
-Reworked the "Mods Manager". Files should be move properly to the correct folders now. If you notice any bugs please report on discord.
-Pressing F4 will now also refocus the "Mods Manager" when it's already opened.

-----3.4.8a Beta 2-----
-Added proper listview sorting, which now sorts from newest <> oldest files regardless of the date format.
-Added the functionality to delete a macro input with the "DEL" key from the sequence list.
-Optimized the code for the listview sorting.
-Fixed a bug, where after renaming a macro, the hotkey wasn't updated to the new macro name in the profile config file.
-Fixed a bug in the macro hotkey tooltips, where it will always show (not assigned) instead of the assigned macro name.
-Fixed a bug, where the delay for macros wasn't present in the code, which resulted in macro sequences not working correctly.
-Fixed a bug, where reopening the "Macro Manager" when it's already opened, will show an error.
-Fixed a bug, where the "Cheat Menu" or "Save File Manager" for "Lies of P" didn't show up in the right click menu, after the profile was created.

-----3.4.8a Beta 1-----
-Added an option, to always run EZAB in a minimized to tray state under "Menubar > Options".
-Added an option to auto switch to the running game's profile, under "Menubar > Options". If enabled it's recommended to use with the "Autostart auto backup.." option under "Menubar > Profile", which can be turned on individually for each profile.
-Fixed a bug, when switching from the current profile with "autostart auto backup" enabled to another profile which has it disabled, the auto start will sometimes trigger.

-----3.4.8a-----
-Fixed a bug, where manual backups created a wrong filename with .zip.zip, which resulted in not be able to rename the file and not be able to show the preview image.
-Fixed a bug, where the dpi scaling for the "Game List" would cause the messed up UI element sizes in certain resolutions.

-----3.4.8-----
-Added a limit to max Hotkey thread to prevent accidental double-presses, which is set to 1.
-Added "Force single save file backup" in the "Game List", to only backup the entered save file, regardless of whether multiple files are present in the save folder (like for Elden Ring coop, so separate backups can be made). You have check the box and "Save Changes" to apply the changes to the current profile.
-Added an ERROR messsage, when a backup couldn't be created.
-Added * as a regular expression to exclude files and folders, e.g. save* will exclude save2, save_1.. in files and folders.
-Improved exclude files/folders functionality.
-Improved overlay handling, every overlay will now show up as inactive windows so the game will never lost focus.
-Manual backup functions through hotkeys doesn't require the game to be detected anymore and only requires the save and backup folder to be set.
-If "Desktop Peak" is active, it will be deactivated when exiting EZAB.
-The "Status overlay" position isn't static anymore and will be set relatively to the active game window.
-The "Status overlay" will now also be hidden if "Desktop Peak" is active.
-Removed NVIDIA DLSS updater, since just replacing the .dll file doesn't improve the performance.
-Fixed a bug, in the initial checkbox logic for "Only backup files that contains the save file name" in the "Game List".
-Fixed a bug, when the "Game List" was clicked without a selection, it was recognized as editing a game instead of adding a new game.
-Fixed a bug in the CPU Affinity, where the message to start the game first always appeared so it wasn't possible to set.
-Fixed a bug, where the checkboxes for the selected game in the "Game List" wasn't correctly checked, when the search function was used.
-Fixed a bug, where the status icon in the bottom right statusbar sometimes showed the wrong icon.
-Fixed a bug, where the "Desktop Peak active" status wasn't showed if auto backup wasn't used.
-Fixed a bug, where the "Auto detect" for "Quick Selection" prioritized "TTS" mode instead of "Overlay".
-Fixed a bug, where "Quick backup" may not work because of a missing code line.
-Fixed a bug, where "Character Info" didn't work for "Elden Ring".
-Fixed a bug, where right click on the "Quick Launch 1-4" button didn't open the settigs, when the buttons arre disabled.
-Fixed a bug, where no new ReShade version was found.
-Fixed a bug, where "Backup save folder" with the option "Save files are in separate folders." enabled, would backup the root save folder instead of creating an archive with the sub folders inside, so restoring would create root folder > root folder instead of root folder > sub folder.
-Fixed a bug, when the game from the current profile didn't exist in the game list anymore, the auto backup was always starting and a backup of any modified file was made.
-Fixed a bug, where the TTS for the "Quick selection" was telling the current time instead of the backup files modified time.
-Fixed a bug, where the selected date format wasn't applied to the "Quick Selection" overlay.
-Other minor improvements and changes.

-----3.4.7a Beta 2-----
-Improved exclude files/folders functionality.
-Manual backup functions through hotkeys doesn't require the game to be detected anymore and only requires the save and backup folder to be set.
-Experimental auto fit background image for diffrent resolution scalings in windows.
-Fixed a bug, where no new ReShade version was found.
-Fixed a bug, where "Backup save folder" with the option "Save files are in separate folders." enabled, would backup the root save folder instead of creating an archive with the sub folders inside, so restoring would create root folder > root folder instead of root folder > sub folder.

-----3.4.7a Beta 1-----
-Added a limit to max Hotkey thread to prevent accidental double-presses, which is set to 1.
-Added "Force single save file backup" in the "Game List", to only backup the entered save file, regardless of whether multiple files are present in the save folder (like for Elden Ring coop, so separate backups can be made). You have check the box and "Save Changes" to apply the changes to the current profile.
-Added an ERROR messsage, when a backup couldn't be created.
-If "Desktop Peak" is active, it will be deactivated when exiting EZAB.
-The "Status overlay" position isn't static anymore and will be set relatively to the active game window.
-The "Status overlay" will now also be hidden if "Desktop Peak" is active.
-Improved overlay handling, every overlay will now show up as inactive windows so the game will never lost focus.
-Removed NVIDIA DLSS updater, since just replacing the .dll file doesn't improve the performance.
-Fixed a bug, in the initial checkbox logic for "Only backup files that contains the save file name" in the "Game List".
-Fixed a bug, when the "Game List" was clicked without a selection, it was recognized as editing a game instead of adding a new game.
-Fixed a bug in the CPU Affinity, where the message to start the game first always appeared so it wasn't possible to set.
-Fixed a bug, where the checkboxes for the selected game in the "Game List" wasn't correctly checked, when the search function was used.
-Fixed a bug, where the status icon in the bottom right statusbar sometimes showed the wrong icon.
-Fixed a bug, where the "Desktop Peak active" status wasn't showed if auto backup wasn't used.
-Fixed a bug, where the "Auto detect" for "Quick Selection" prioritized "TTS" mode instead of "Overlay".
-Fixed a bug, where "Quick backup" may not work because of a missing code line.
-Fixed a bug, where "Character Info" didn't work for "Elden Ring".
-Fixed a bug, where right click on the "Quick Launch 1-4" button didn't open the settigs, when the buttons arre disabled.
-Other minor improvements.

-----3.4.7a-----
-In some cases EZAB might not have the rights to write in a folder, so to prevent backup issues or when enabling the "Lies of P" "Cheat Menu" didn't work because of that, EZAB now requires to run as admin and will will always ask for it on launch.
-Reduced the height of the "Lies of P Cheat Menu" to fit smaller screen resolutions.
-Fixed a bug, where the name input box for creating a new profile was in the background behind the set backup and save folder UI. 
-Fixed a bug, where it wasn't possible to cancel the name input box, after the "Next >>" step of creating a new profile.
-Fixed a bug, where a wrong error message was shown for the "CPU Affinity".
-Fixed a bug, where after creatting a new profile, the new profile wasn't written to the config.ini as the active profile, so when only 1 profile exists no profile was selected after the first restart, unless it's selected from the Profile selection list.
-Fixed the functionality of the option "Save files are in separate folder".
-Fixed a bug, where excluded folders may not work as intended.
-Fixed a bug, when saving an edited game list and auto start is running, the message to "stop auto backup first to update the profile" showed up. Now you'll be asked if you also want to apply the changes to the current profile if it's the same game.exe.
-Fixed a tooltip on first start, where it said to click on "Create Profile", but now it's double click to create.
-Other minor text fixes.

-----3.4.7 Beta 1-----
-In some cases EZAB might not have the rights to write in a folder, so to prevent backup issues or when enabling the "Lies of P" "Cheat Menu" didn't work because of that, EZAB now requires to run as admin and will will always ask for it on launch.
-Reduced the height of the "Lies of P Cheat Menu" to fit smaller screen resolutions.
-Fixed a bug, where the name input box for creating a new profile was in the background behind the set backup and save folder UI. 
-Fixed a bug, where it wasn't possible to cancel the name input box, after the "Next >>" step of creating a new profile.
-Fixed a bug, where a wrong error message was shown for the "CPU Affinity".
-Fixed a bug, where after creatting a new profile, the new profile wasn't written to the config.ini as the active profile, unless it's selected from the Profile selection list.

-----3.4.7-----
General note: After closing a browse folder dialog, EZAB may sometimes lag a bit. I don't know how to solve this issue, but just be patient if this happens.

Game List changes:
-"Game List" UI window updated and resized.
-Added a right click menu for the "Game List", and removed the "Delete" button which can be done through the menu.
-Added an edit box for the "Exclude list" which makes it more convenient to see or edit the excluded files. After making changes you have to click on "Save".
-"Save Changes" will now also auto update your profile, if the game.exe matches.
-The option "Only backup files that contains the save file name", can now be enabled in the "Game List" to apply directly to a newly created profile. The setting itself can still be changed through "Menubar > Profile" for each profile individually.
-Changed the profile folder selection window to a ToolWindow type.

General changes:
-Added "Desktop Peak" to the "Hotkey Settings". This function allows you to toggle the game transperancy, to have a quick peak at the desktop without having to tab out.
-Added the save file folder size to the profile tooltip.
-Added "Skip Intro" for "Lords of the Fallen" as a "Game Option" (right click or Menubar > Options). (credits to fall3night)
-The system time will be displayed in the EZAB status info overlay.
-The EZAB GUI position will now be reset to the center in case the position coulnd't be found in the ini.
-"Backup save folder" will now also include a screenshot of the last in game save.
-Notifications volume can now be set to 0 (Mute).
-Minor UI changes to the EZAB Settings.
-Changed the "New update" dialog to a larger size.
-Updated the default settings.
-Loading a backup will now also replace the last saved screenshot with the one from the restored backup.
-Fixed a bug, when "Run EZAB on windows startup" was enabled, the process was running but EZAB wasn't visible.
-Fixed a bug, when after reseting the edit boxes to add a custom game in the "Game List", not all checkboxes were unchecked.
-Fixed a bug, where after clicking on the checkboxes in the "Game List", pressing "Enter" to create the profile doesn't work.
-Fixed a bug, where after loading a backup the game sometimes wasn't in focus, so if a controller was used it didn't respond until the game is back in focus.
-Fixed the status bar text showed last auto backup restored, instead of manual when a manual backup was restored.
-Fixed a bug, when using the "Quick Selection load backup" hotkey function, the selected backup was also saved as the "last manual backup" file, for the "Restore last manual backup" hotkey function.
-Fixed a bug, if using the "Quick Selection load backup" hotkey function, the last selected backup gets overwritten when an auto backup was created.
-Fixed a bug, where the controller hotkeys for toggle EZAB status overlay wasn't working.
-Fixed getting started tooltip position.
-Minor tooltip text corrections.
-Other minor bugfixes.

"Save File Manager" for "Lies of P":
-Added the additional cheat commands for "Lies of P" to the "Cheat Menu".
-Fixed a bug, where sometimes the copy to slot function wasn't pointed to the correct save block so the transfere wouldn't succeed.
-Fixed a bug, where after the copy to slot function the selected SaveData-X slot wasn't replaced, but instead added to the list.
-Fixed a bug, where after canceling the input box for "Edit Ergo", the save file wasn't closed.

-----3.4.6a Beta 2-----
-Added the additional cheat commands for "Lies of P" to the "Cheat Menu".
-Added "Skip Intro" for "Lords of the Fallen" as a "Game Option" (right click or Menubar > Options). (credits to fall3night)
-Notifications volume can now be set to 0 (Mute).
-Minor UI changes to the EZAB Settings.
-Fixed a bug, where after loading a backup the game sometimes wasn't in focus, so if a controller was used it didn't respond until the game is back in focus.
-Fixed the status bar text showed last auto backup restored, instead of manual when a manual backup was restored.
-Fixed a bug, when using the "Quick Selection load backup" hotkey function, the selected backup was also saved as the "last manual backup" file, for the "Restore last manual backup" hotkey function.
-Fixed a bug, if using the "Quick Selection load backup" hotkey function, the last selected backup gets overwritten when an auto backup was created.
-Fixed a bug, where the controller hotkeys for toggle EZAB status overlay wasn't working.
-Fixed a bug, where the controller hotkeys for "Desktop Peek" wasn't working.
-Other minor bugfixes.

-----3.4.6a Beta 1-----
Game List changes:
-"Game List" UI window updated and resized.
-Added a right click menu for the "Game List", and removed the "Delete" button which can be done through the menu.
-Added an edit box for the "Exclude list" which makes it more convenient to see or edit the excluded files. After making changes you have to click on "Save".
-The option "Only backup files that contains the save file name", can now be enabled in the "Game List" to apply directly to a newly created profile. The setting itself can still be changed through "Menubar > Profile" for each profile individually.
-Changed the profile folder selection window to ToolWindow type.

-Added "Desktop Peak" to the "Hotkey Settings". This function allows you to toggle the game transperancy, to have a quick peak at the desktop without having to tab out.
-Updated the default settings.
-Fixed a bug, when "Run EZAB on windows startup" was enabled, the process was running but EZAB wasn't visible.
-Fixed a bug, when after reseting the edit boxes to add a custom game in the "Game List", not all checkboxes were unchecked.
-Fixed a bug, where after clicking on the checkboxes in the "Game List", pressing "Enter" to create the profile doesn't work.
-Minor tooltip text corrections.

-Tooltips in the "Game List" are not updated yet
-"Browse" for the Excluded files not fully functioning.

-----3.4.6a-----
-Removed ShinsOverlayClass.ahk which was used for the EZAB status overlay, but caused EZAB to randomly crash, so the old overlay method is used which is also improved. It also looks like this lib causes the many false positive triggers, it's getting less now at least.
-Fixed the GUI size and tooltips for the "Save File Converter" for "Wo Long". Keep in mind that this isn't working for game version 1.10+.
-Fixed tooltips for the "Save File Manager/Converter" since "Wo Long" and "Lies of P" shares the same GUI base.

For Lies of P:
-The hotkey to open the "Cheat Menu" for "Lies of P" will now also close it, and the position will be save.
-When trying to edit the Ergo amount in the "Save File Manager" and the pointed save block doesn't find the current Ergo amount, an error message will now show up instead of writing nil to that block.
-Fixed a bug in the "Save File Manager", where re-browsing for the same steam save, won't add the file to the list.
-Fixed a bug in the "Save File Manager", when it was opened in a "Wo Long" profile and changing to "Lies of P" afterwards, the save from Wo Long stays in the Steam list.

-----3.4.6-----
-Added a function for the "Mods Manager", to check for a new mods version if it was downloaded from NexusMods.
-Added the following hotkeys for the "Mods Manager": ENTER to open the file, F2 for a version check and DEL to delete.
-Added a tooltip for the status text and "Main mods subfolder" for the "Mods Manager".
-You can now enter a filename without an extension to exclude (right click on "Exclude" in the "Game List"). E.g. option_file and it will exclude all option_file00, option_file01.. 
-Longer tooltips will will now stay instead of auto hiding after 3 sec.
-Fixed a bug, where Manual backup also copies an additionally save file to the backup folder besides the .zip file.
-Fixed a bug, where excluded files were also in the backups.
-Fixed a bug, where the excluded files list of the selected game from the online "Game List" wasn't also saved to the local list.
-Fixed a bug in the "Mods Manager", where some archives wasn't recognized in the mods list and the file copy didn't work correctly.
-Fixed a wrong tooltip in "CPU Affinity".
-Fixed a bug, where clicking on "Set Affinity" in "CPU Affinity", didn't show an error if the game is not running.

-----3.4.5h-----
-Added an option for right clicking the screenshot preview of a backup to open.
-When the "Cheat Menu" for "List of P" is enabled, the UI is now always on top.
-In the "Cheat Menu" for "Lies of P", when the item count inputbox is canceled or no valid number was entered, the command won't be saved to the clipboard anymore.
-Holding left click to show screenshot previews are now centered to the screen.
-"Restore last manual backup" will now always look for the last "manual backup" available. If a "last manual backup" was deleted, the next newest file will be saved for the "Restore last manual backup" function, until no more "manual backups" found.
-Fixed a bug, where sometimes renaming a backup would not rename the file correctly.
-Fixed a bug, where a Menu not found error would popup if Lies of P was the first created profile.

-----3.4.5g Beta 2-----
-Added an option for right clicking the screenshot preview of a backup to open.
-"Restore last manual backup" will now always look for the last "manual backup" available. If a "last manual backup" was deleted, the next newest file will be saved for the "Restore last manual backup" function, until no more "manual backups" found.
-When the "Cheat Menu" for "List of P" is enabled, the UI is now always on top.

-----3.4.5g Beta 1-----
-Holding left click for screenshot previews are now centered to the screen.
-When loading a backup through the "Quick selection", the selected backup will now be saved for the "Restore last manual backup" function aswell.
-Fixed a bug, where sometimes renaming a backup would not rename the file correctly.

-----3.4.5g-----
-Added a "Cheat Menu" for "Lies of P". Go to the NexusMods > Lies of P > EZAB page or join the discord for more infos.
-Moved all settings menus from "Menubar > File > Settings" to "Menubar > File" for an easier to access.
-Improved the "Save File Manager" for the "Lies of P Game Pass" profile, to make sure that if a file name was changed from the cloud sync which may still be active sometimes, an Error will show up instead of writing to a none existing file. If that happens, the save slot will be auto unselected and the buttons are disabled. You just have to reselect the save slot and try again.
-The tooltips will now close after 3 sec if the mouse stays on the same control.
-Fixed a bug in the "Game List" where the "Save" button was always enabled.
-Fixed a bug, where the current timestamp was used for "Backup save folder" instead of the newest modified file. 

-----3.4.5f-----
-Fixed a bug, when you right click a "Quick Launch" button to set an app in the settings, the dialog to set the "Game Launcher" executable also opens.
-Fixed a bug, where sometimes the <Hex> numbered folder in wgs coulnd't be found for "GamePass" profiles, so an error message was shown.

-----3.4.5e-----
-Added an option in the "Game List" to delete the save files before restoring a backup. A few games requires this like Resident Evil 4 or Lies of P Game Pass, this will also create a "BeforeRestore" backup file just in case.
-Changed the "BeforeRestore.bin.zip" file name for "Resident Evil 4" to "BeforeRestore.zip" since it's now a global feature for consistency. The older file can be deleted if not needed.
-If a save file is named "GamePass" a BeforeRestore backup will now be created by default before loading to keep current saves just in case, because the save folder has to be deleted to make sure no other files exists.
-Fixed a bug, where changing the game folder the for DLSS file to get auto updated, it still couldn't be found because the folder change only applied after restart.
-Fixed a bug, when no background image exists for a profile, the background didn't changed to the default theme. The bg image from the last profile was still used.
-Fixed a bug, when entering "GamePass" as the save file name, the message to enter ".none" as the file extensions shows up.
-Fixed a bug, where it was possible to rename a backup to an already existing name, so it would overwrite the old one.
-Fixed a bug, where auto detecting the "Game launchers" like Steam, Epic.. to set the quick launch buttons, didn't work correctly.
-Fixed a bug, where the volume slider was disabled and overall sound control.
-Other minor code cleanups.

-----3.4.5d Beta 2-----
-Fixed a bug, where the volume slider was disabled.
-Fixed a bug, where it was possible to rename a backup to an already existing name, so it would overwrite the old one.
-Fixed a bug, when no background image exists for a profile, the background didn't changed to the default theme. The bg image from the last profile was still used.
-Fixed a bug in the "Mods Manager" where the "Installing mod.." window didn't closed, if no files where found in an archive.
-Fixed a bug, where enabling the option "Delete saves before loadinng backup." wasn't functioning correctly.
-Fixed a bug, where auto detecting the "Game launchers" like Steam, Epic.. to set the quick launch buttons, didn't work correctly.
-Fixed a bug, where the volume slider was disabled and overall sound control.
-Other minor code cleanups.

-----3.4.5d Beta 1-----
-Added an option in the "Game List" to delete the save files before restoring a backup. A few games requires this like Resident Evil 4 or Lies of P Game Pass, this will also create a "BeforeRestore" backup file just in case.
-Changed the "BeforeRestore.bin.zip" file name for "Resident Evil 4" to "BeforeRestore.zip" since it's now a global feature for consistency. The older file can be deleted if not needed.
-If a save file is named "GamePass" which may required for Game Pass profiles, a BeforeRestore backup will now be created by default before loading to keep current saves just in case, because the save folder has to be deleted to make sure no other files exists.
-Fixed a bug, where changing the game folder the for DLSS file to get auto updated, it still couldn't be found because the folder change only applied after restart.

-----3.4.5d-----
-Added a second confirmation dialog for deleting a profile, if "yes" was choosen because the entire backup would be deleted and a few people did it without reading.
-Fixed a bug, where it wasn't possible to edit a "Game List" entry.

-----3.4.5c-----
-"Autostart Auto Backup when game is running" is now an individual profile setting. It's now is moved to "Menubar > Profile", and will be save to the profile instead of the global settings from now on.
-Moved the "Game Options" in "Menubar > File" to "Menubar > Options".
-Corrected the Profile tooltip from "File > Settings > Open > Game Folders" to "File > Settings > Preferences > Game Folders".
-Removed the WMP object to play and set the volume for the notification sound. I just found a build AHK function to set to volume so there's no need to use the WMP object anymore, which sometimes could cause reseting to max volume or a CreateObject error.
-Removed the experimental "Elden Ring Stutter fix" in "CPU Affinity", since it's no more needed.
-Removed the "Compress all uncompressed files" and "Use .zip compression" options, which is by default enabled and there's no reason to not use it.

For the Lies of P profile
-Added the option to transfer a save file to a selected Steam/Game Pass slot.
-Overall improvements to the save file converter.
-Fixed a bug, where the Game Pass save file list didn't refreshed after selecting a folder.
-Fixed a bug, where converting a Steam to Game Pass save file for "Lies of P" may not work correctly.
-Fixed a bug, when canceling the Ergo input repeatedly with diffrent save files, the Game Pass save files may get wrongly overwritten.
-Fixed a bug, when canceling the Ergo input box will still write the amount to the save file.

-----3.4.5b-----
-Updated the "Save file name" toltip in the "Game List", to make it more clear what to enter and how the backup function works.
-Updated the optional "Save file path" tooltip in the "Game List", to let you know that you can change the game folders in the preferences.
-Fixed a bug, where the "Only backup files that contains the save file name" was always active, which could lead to not always backing up every files.
-Fixed an issue in Lies of P Game Pass, when the wgs folder was backed up instead of the hex numbered folder, the wgs folder will now be moved to the correct location, so it doesn't matter anymore what was backed up.
-Fixed a bug in the "Mods Manager", where it wasn't possible to install a mod tho it's packed correctly.

-----3.4.5a Beta 2-----
-Updated the "Save file name" toltip in the "Game List", to make it more clear what to enter and how the backup function works.
-Updated the optional "Save file path" tooltip in the "Game List", to let you know that you can change the game folders in the preferences.
-Fixed a bug, where the "Only backup files that contains the save file name" was always active, which could lead to not always backing up every files.

-----3.4.5a Beta 1-----
-Fixed an issue in Lies of P Game Pass, when the wgs folder was backed up instead of the hex numbered folder, the wgs folder will now be moved to the correct location, so it doesn't matter anymore what was backed up.

-----3.4.5a-----
-Added "Save File Manager" to the "Game Option" menu (right click the backup list) for "Lies of P".
 You can convert Steam <> Game Pass save files of "Lies of P" and edit the Ergo amount of a choosen save file (not while game is running).
-Added a hotkey function to pause/resume a game process. Useful for games which doesn't allow pause game, this will "suspend" the whole game process in the windows task manager (may cause instability with some games since i can't test every game).
-If the "Hotkey Settings" is already open and "Hotkey Settings" is clicked in the "Macro Manager", the "Hotkey Settings" will now be refocused to foreground.
-Fixed backup functions for "Lies of P Game Pass".
-Fixed a bug, where the "BeforeRestore" backup file for "Lies of P" backed up every previous saves, instead of just the previous.
-Fixed a bug, where the game screen mode detection wasn't detecting fullscreen mode in some games to toggle the "EZAB status overlay" correctly.
-Fixed a bug, where the "EZAB status overlay didn't show up properly if the overlay position wasn't set. Now the repositioning UI will be show up first instead.
-Fixed a bug, where after deleting a macro, it wasn't completly deleted. The hotkey was still active and the tooltip didn't changed.
-Fixed a bug, where after creating a macro, the macro function listbox wasn't changed to "None".
-Fixed a bug, when the "Game Option" menu is available for individual games, there was a delay before the menu is beeing enabled after EZAB launch.
-Fixed a bug, where binding a controller hotkey for the "Toggle EZAB status overlay" function, would save the binding to a diffrent function.
-Other minor changes.

-----3.4.5-----
-Added the option in the "Macro Manager" to right click the "Key Input" box to manually enter a key input e.g. shift, ctrl.. which wasn't possible in the default box.
-Added a hotkey to toggle the "EZAB status overlay".
-Added tooltips for the "Game List" lists.
-Added a game icon for "Lies of P GamePass" profile.
-It's now possible to add an icon file named game.exe.ico  to .\EZAB\gfx to use a custom icon for the profile.
-It's now possible to right click the disabled "Quick Launch" buttons, to go directly to the "Quick Lauch" settings.
-Improved the search functionality in the "Game List", the search will now cycle through all entries instead of stop at the first found and you can now press enter to continue the search.
-If the "Game List" is in the background and already opened, then pressing the "+" icon will now refocus the "Game List".
-Removed the "Create Profile" and "Add to local list" buttons in the "Game List" since you can double click in the list so they were redundant.
-Fixed tooltip delay time after starting EZAB.
-Fixed BeforeRestore.zip doesn't have the correct screenshot.
-Fixed a bug, when the instant backup timer is ready and a backup was manually created, the backup timer wasn't reseted so an additional auto backup was also created.
-Fixed a bug, where the "auto quicksave" game option for "Baldurs Gate 3" didn't work properly.
-Fixed a bug in the "Mods Manager", where clicking on "Apply" would focus the EZAB main window to the foreground.
-Fixed a bug, where the "EZAB status overlay" wouldn't show up when the game was restarted or is running.
-Fixed "EZAB status overlay" not auto detecting full screen mode in games for it not to draw, causing some games to flicker and switching back to windows.
-Fixed a bug, where the sound volume could be reseted to 100 for notifications in some circumstances, so it had to be reseted in the settings again to lower the volume.
-Fixed a bug in the "Lies of P" profile, where after loading a backup, the the info message which told you to set the save folder to wgs would show up tho it was set correctly.
-Fixed "Manual backups" (F3 by default) would backup a wrong folder structure for "Lies of P".
-Other minor tooltip changes and bug fixes.

-----3.4.4f-----
Only for the Lies of P Game Pass profile
-EZAB will now make sure to set the correct save folder before loading a backup from the list. (Hotkey loading won't have this check so make sure the list load backup works first).
-Since the cloud saves could make trouble in loading backups, EZAB will now delete the 000900000768E7E1_0000000000000000000000007B71E406 folder first before loading the backup. If the save folder wasn't correctly set, an error message will show up to let you know to set it correctly.
-Before loading a backup another backup of the 000900000768E7E1_0000000000000000000000007B71E406 folder is made (BeforeRestore.zip) to make sure you don't lose anything. This will always contain the current saves before loading a backup and will always be overwritten before each load.
-Join the discord if you need support (keep the german time zone in mind).

-----3.4.4e-----
-Added the option the enter "GamePass" as the save file name if a game is from Microsoft Game Pass and the default save file config doesn't work. The save folder has to be set to the game pass wgs folder, EZAB will then always backup the whole wgs folder (the "Game List" has also been updated for Lies of P Game Pass). 
-Re Added Menubar > Donate > Via Patreon, if you like my work and want to support me.
-To use the "Skip Intro" option, the game must not be running in general because it may lock the files.
-Fixed "Skip Intro" for "Lies of P Game Pass" version.
-Fixed a bug, where the "Save" button in the "Game List" was still disabled if you just want to change the "Save files are in separate folder." option.
-Fixed a bug, where EZAB would still creates a backup if the game save has been modified and EZAB is paused because the game isn't the active window.

-----3.4.4d-----
-Added support for Lies of P. The "Skip Intro" has been added as a "Game Option" (right click menu or under Menubar > File).
-Added the (game.exe) to the "Profile type" tooltip.
-Changed the info message for deleting a profile to make it more clear, that the whole backup folder could be deleted if "Yes" is choosen.
-Minor tooltips changes and fixed "Hotkey Settings" tooltip not showing up in the "Macro Manager".
-Fixed a bug, where the steamcloud.vsf file would still be backed up if the save folder has more than 1 save file.
-Fixed a bug, where after closing the "Process List" in the "Game List" and reopening, an error would occur.
-Fixed a bug, where the game list didn't refreshed after any changes was made, if no profile was created.

-----3.4.4c-----
-Added an option to "Browse" for a game.exe in the "Game List". This will open a "Process List" where you can search for the running game.exe or show all running processes and by double clicking it'll add the .exe directly to the edit box of th "Game List".
-Fixed a bug for the "Bulders Gates 3" profile, where EZAB would create an additional auto backup after a manuall backup, or an auto backup was created tho the timer hasn't expired.
-Other minor bug fixes.

-----3.4.4b-----
-Added the option "Alternativ Send" in the "Macro Manager", to use an alternative send method in a macro sequence if the default method didn't work for that game. The sequence for the alternative method will then be showed as key#<key> down#<delay> instead of key#<key>#<delay>.
-Added missing tooltips in the "Macro Manager".
-Updated the "README", I may still forget to mentioned some newer functions, feel free to join the discord if you have any questions.
-"Hotkey Settings" in the "Macro Manager", will now directly switch to the "Macro" hotkeys tab.
-Fixed a bug where if a duplicate hotkey was detected in another hotkey tab (hotkeys and macros), it would not switch to the tab where the existing hotkey was found.
-Other minor bug fixes

-----3.4.4a-----
-Added an option when right clicking the "Exclude" button in the "Game List", to also be able to enter the excluded files manually.
-Added "Enable auto quicksave" as a "Game Option" for "Baldurs Gate 3". When turned on, make sure the quick save and quick backup hotkeys are the same (F5 by default). EZAB will then auto quick save + backup every x min, if the intervall is set in the EZAB Settings.
-Fixed a bug, where a "Reshade menu not exists" Error would show up, if there's no internet connection.
-Fixed tooltips for the added functions in the CPU affinity dialog in 3.4.4.

-----3.4.4-----
-Added "Menubar > Profile > Only backup files that contains the save file name". If you only want to backup auto save files and a game uses like "autosave_x....sav" where x is a number, without the manually save files. You can edit the Save file to autosave.sav in the game list, and click on "Update Profile" to apply the changes to the current profile. Now with this option enabled EZAB will only backup alle files which has the name "autosave" in it's file name, e.g. autosave_1...sav, autosave_2...sav, autosave_3...sav and so on and not any of the manually saved files. Keep in mind that EZAB is backing every file excluding the "Excluded" and .bak files by default, if theres more than 1 file in the save folder.
-Added an option for "Set CPU Affinity", to use a "Custom .exe" which has to be entered manually.
-Repositioned "Set Affinity" button to the bottom center.
-Removed a debug message in the "Mods Manager".
-Fixed a bug in the "Mods Manager", where sometimes files may not been moved to the correct destination folder.
-Fixed a bug, where you have to re-set the game.exe for the "Launch Game" button after every EZAB start, because a variable wasn't set.

-----3.4.3c-----
-Fixed a bug, where modified save files (when the game auto saves) won't be detected, when the auto backup function is not used. You'll now see modified the file on the statusbar, on the EZAB status overlay or hear the sound as intended, for a better use with only the manual backup functions.
-Fixed a bug, where the Changelog tab in the settings shows beta version changes, and doesn't show the changes from the current version.
-Fixed a bug, where the <Steam> and <UbiSoft> variables, pointed to the .exe files instead of the launcher folder.

-----3.4.3b-----
-The settings for "EZAB status overlay" is now disabled, if no profile exists.
-Fixed a bug, where the hotkey edit box positions were off, so no hotkeys could be set.
-Fixed a bug, when the "EZAB status overlay" is enabled, an "AttachToWindow" error message could show up, after exiting a game.
-Fixed a bug, where an "AttachToWindow" error message showed up, after enabling "EZAB status overlay", and the game from the profile wasn't running.

-----3.4.3a-----
-Improved fullscreen detection for the overlay.

-----3.4.3-----
-Added ShinsOverlayClass for a better way of implementing overlays.
-When you're updating from an .ahk version, you have to download the new Include file from the "EZ Auto Backup Elden Ring NexusMods page.
-Improved ERAB Info overlay.
-The EZAB status info overlay background, now has a slight transparency with a fixed Tohama font.
-Removed "Patreon" from the "Donate" menu.
-Fixed a bug, where the new Reshade version wasn't written to the ERAB.ini file after beeing downloaded.
-Fixed a bug, where the ERAB Info status overlay text always refreshes 1 sec after the actual info message text.

-----3.4.2a-----
-Fixed a bug, where the backup functions didn't work, because the old 7z.dll wasn't updated after updating to 3.4.2.

-----3.4.2-----
Added
-"Mods Manager" under "Menubar > Profile".
This will generaly support every game with the copy paste mod installation method. Just choose a Mods source and destination folder. 
Optionally, it's recommended to enter every mods main subfolder in the setting, because mods are packed diffrently, e.g. in Dark Souls 3, mods have to be put in "Dark Souls 3\mods", which will your destination folder. Then the modded files needs to be placed in diffrent subfolders like "parts" or "chr" <- those folders can be typed in the "Main mods subfolders" edit box e.g. "parts,chr" without "" and space. When a mod is packed like "<Modname>\<Modname2>\parts..", EZAB will then scan for those sub folders to make sure, they're moved to the correct folder.
EZAB will also auto correct folders like "mods" to "~mods", which is the common folder for unreal engine games.
You can install either through double, or by checking/unchecking any mods and click on "Apply changes" to do a batch install/uninstall.
EZAB will detect mods downloaded from NexusMods, if they aren't renamed, so you can visit the mods page directly from the right click menu.
Mod creators can create a mod.ini and place it in the root mod folder (with an optional screenshot), with the following content to show the mods information:
[info]
author=Author name
version=1.0
info=This is the mods description.
-F3 hotkey to launch the "Macro Manger" and F4 for the "Mods Manager".
-An option to install a beta version (for patreons) under "Menubar > Updater", if a beta version is put in the main ERAB folder. It's then possible to restore to the previous version under "Menubar > Updater > Restore previous EZAB version".

EZAB core
-The thumbnails can now be enlarged by holding the left mouse button, instead of openening the actual screenshot every time.
-Improved right click performance for the list view.
-Changed the minimun macro delay from 300 to 100ms.
-Loading a backup now also resets the auto backup timer.
-Updated a few tooltips.
-Other minor improvements.

Wo Long
-Added a edit box to show or edit the Steam ID in case multiple accounts exists.
-After clicking on a SAVEDATA file in the "Save file converter", the steam ID is now displayed in an edit box which can be edited. At default, EZAB was only converting a save file to the first ID found.

Project Zomboid
-Added a "Pause game" hotkey in the "Hotkey settings". It's recommended to set it to the pause key (F2 by default), so the game will pause while a backup is created to prevent the freezing state of the player.

The Last of Us Part 1
-Improved auto backup functionality.
 
Fixes
-If a manual backup file is renamed, which was also the last manual backup, the new name is now also updated and can be restored through the "Restore last manual backup" function.
-Fixed a bug, where deleting any games from the local list, will also reset the game type of the current profile, tho it's a diffrent game.
-Fixed a bug, where after deleting a game from the local game list, the game list entry wasn't deselected.
-Fixed a bug, where the "Save" button in the "Game List" wasn't enabled, when editing the optional "Save file path".
-Fixed a bug, where double clicking the game list without a list item selected, would also trigger the "Create Profile" function.
-Fixed a bug, where the "Menubar > File > Open Folder > Game Folder" menu wasn't enabled, if the the game icon hasn't been set while the game is already detected.
-Fixed a bug, where the "Game Notes" text color wasn't changed in dark mode.
-Fixed a bug, when restoring a backup through the "Quick selection", the TTS voice is also played if "Restore Backup" sound is enabled.
-Fixed a bug, where changing the game folder in the "Game Folders" settings, didn't save the new path.
-Fixed a bug, where restore last manual backup through controller hotkey wasn't working.
-Fixed a bug, where it wasn't possible to rename backups files with a "." (dot) in the name.
-Fixed a bug, where the "Enable hotkeys" checkbox wasn't checked correctly, if not using a "Wo Long" profile.
-Fixed a bug, where the tooltips for macro functions in the "Hotkey Settings" didn't show the correct assigned macros.
-Fixed a bug, when changing the "Launch Game" application (right click on the button), didn't save the new game.exe to the profile config.
-Fixed a bug, where after right clicking the "Launch Game" button, would also bring up the right click menu from the backups list view, after the browse window was closed.
-Other minor UI changes.

-----3.4.1b Beta 4-----
-Improved mod installation method and overall functionality of the "Mods Manager". The mod installing process may be now a little slower, but more efficient because mods aren't preunpacked in the EZAB folder, but instead only unpacked if the mod is enabled.
-The "Mods Manager" now handles sub folders in an archive, for diffrent variants of a mod e.g. "skin main > skin 1, skin 2"... 
-The thumbnails can now be enlarged by holding the left mouse button, instead of openening the actual screenshot every time.
-If a manual backup file is renamed, which was also the last manual backup, the new name is now also updated and can be restored through the "Restore last manual backup" function.
-Changed the minimun macro delay from 300 to 100ms.
-Loading a backup now also resets the auto backup timer.
-Fixed a bug, where restore last manual backup through controller hotkey wasn't working.
-Fixed a bug, where it wasn't possible to rename backups files with a "." (dot) in the name.
-Fixed a bug in the "Mods Manager", where the status message and log file wasn't correct if no files were found.

-----3.4.1b Beta 3-----
-Added "Mods Manager" under "Menubar > Profile".
This will generaly support every game with the copy paste mod installation method. Just choose a Mods source and destination folder. 
Optionally, because mods a packed in diffrent ways, it's recommended to enter every mods main subfolder in the setting e.g. in Dark Souls 3 mods will go to the "Dark Souls 3\mods" which will your destination folder. 
The mods then needs to be placed in diffrent subfolders like "parts" or "chr" <- those folders can be type in the "Main mods subfolders" e.g. "parts,chr" without "" and space. Some mods are packed like "Modname\Modname2\parts\..", so EZAB will scan for those sub folders to make sure they are moved to the right folder. 
EZAB will also auto correct folders like "mods" which should be named "~mods" tho it may make no diffrences but all mods are then in the same folder.
You can install either through double, or right click install/uninstall or the buttons. It's also possible to check/uncheck any mod and click on "Apply changes" to do a batch install/uninstall.
-Added the hotkeys F3 to launch the "Macro Manger" and F4 for the "Mods Manager". These are only active if EZAB is the active window.
-Improved right click performance for the list view.
-Fixed a bug, where changing the game folder in the "Game Folders" settings, didn't save the new path.
-Other minor UI changes.

-----3.4.1b Beta 2-----
-Added an option to install a beta version under "Menubar > Updater", if a beta version is put in the main ERAB folder. It's then possible to restore to the previous version under "Menubar > Updater > Restore previous EZAB version".
-Fixed a bug, where deleting any games from the local list, will also reset the game type of the current profile, tho it's a diffrent game.
-Fixed a bug, where after deleting a game from the local game list, the game list entry wasn't deselected.
-Fixed a bug, where the "Save" button in the "Game List" wasn't enabled, when editing the optional "Save file path".
-Fixed a bug, where double clicking the game list without a list item selected, would also trigger the "Create Profile" function.
-Fixed a bug, where the "Menubar > File > Open Folder > Game Folder" menu wasn't enabled, if the the game icon hasn't been set while the game is already detected.

-----3.4.1b Beta 1-----
-Fixed a bug, where the "Game Notes" text color wasn't changed in dark mode.
-Fixed a bug, when restoring a backup through the "Quick selection", the TTS voice is also played if "Restore Backup" sound is enabled.

-----3.4.1b-----
-Improve backup functionality for "The Last of Us Part 1 Remake".
-Removed fixed F2 hotkey for debugging.
-Fixed a bug, when switching profiles the "Launch Game" button didn't get the updated game path to the current profiles game.
-Fixed a bug, where after restoring a backup and the game is not running, another backup was created.
-Fixed slow loading, when switching to "Project Zomboid".

-----3.4.1-----
-Added support for "The Last of Us".
-Added "Game Notes" to show a tooltip on mouse over, to inform you about profile specific informations, that should be considered. This will be updated from time to time and if you want to help adding infos for a game e.g. exit game first before loading a backup, you can use the contact formular "Menubar > Help > Bug Report", choose "Game Support" and write any missing notes to add to the list.
-Added the functionality to press "Enter" in the list view to load a backup.
-Improved performance for double click in the list view.
-Improved profile type detection.
-When adding or editing a game for the "Game List", after the info message pops up and if anything wasn't entered correctly, the corresponding edit box will have focus.
-Before loading a backup in "Resident Evil 4 Remake", if the selected backup is not "BeforeRestore.bin.zip", then an additional backup of the current save files, will be created as "BeforeRestore.bin.zip". This backup will always be overwritten.
-Fixed a bug, where editing a game in the local game list, will duplicate all entries above the edited game after the info message, when no save file extension was entered.
-Fixed a bug, where the "New" button in the "Game List" wasn't reenabled after adding a new game to the local list.
-Fixed a bug, where it was not possible to open the "Macro Manager".
-Fixed a bug, where opening the "EZAB Contact", while it's already opened, shows an error message.
-Fixed a bug, where the auto profile type detection wasn't working correctly.
-Fixed a bug, where loading the list view would take a while, if the profile type wasn't detected.
-Fixed a bug, where the last save file screenshot will also show up, when clicking on the right side of the statusbar.
-Fixed a bug, where the game option "Character Info" for "Elden Ring" didn't recognized a backup, when opened in the list view.
-Fixed a bug, where the game option "Character Info" for "Elden Ring" also shows the tooltip of the current profile.
-Other minor bug fixes and improvements.

-----3.4.0a-----
-The "Game List" has now it's own windows instance in the windows task bar.
-Fixed a bug, where clicking the "+" button, while the "Game List" is open, shows an error message.
-Fixed a bug, where the local game search didn't work.

-----3.4.0-----
EZAB core
-Restructured the code.
-Improved code for save file check.
-Improved code for the handling auto backups for both types, where game saves are in a separate, or the same folder.
-Improved statusbar icon and save file info handling.
-Improved listview right click menu performance.
-"Game List" UI overhaul. It's now split in "Local" and "Online", and your local list won't be affected from a game list update anymore. You can add selected games from the online list to your local list or use "Update local list" to replace your local list with the online list, which is like getting auto updated from the previous version.
-EZAB now only restarts if the missing or updated files are not a .jpg and the downloaded bg image will be directly applied.
-It's no longer required to enabled "Auto backup profiles on exit". If you want a profile backup to be created on exit ERAB, you only have to either enable "Menubar > Profile > Auto backup all profiles on exit", or enable "Profile backup on exit" for each profile individually.
-It's now possible again to open the game list, while the game or auto backup is running. "Create Profile" and "Update Profile" are disabled instead.
-Deleting a profile, now let you choose between "Yes" to delete a profile with the backup folder, "No" to just delete a profile and keep the backup folder, or "Cancel".
-The game launchers now moved to the EZAB UI, if not set the icon will be red. To set the game launcher quick start button, just open e.g. steam once.
-Removed the tray icon by default.

Menubar
-Added "Menubar > Donate", which Paypal has been moved to and added a link to Patreon, if you like my work and want to actively contribute to future updates.
-Reorganized "Menubar > Help". 
-Renamed "Menubar > File > Settings > Open" to "Menubar > File > Settings > Preferences".
-Hotkey settings moved to "Menubar > Settings".
-Moved "Menubar > File > Backup save folder" to "Menubar > Profile".
-Removed "Menubar > Profile > Auto backup profiles on exit".
-Removed "Menubar > File >Game Launcher"

Game changes
-The "Enable auto quicksave" option for Cyberpunk 2077, will now overwrite the "Instant backup" option, which is like having "Instant backup" disabled. 
-Elden Ring is no longer a fixed profile. (Required to add Elden Ring to the local game list and "Update Profile", for existing profiles)
-Disabled "Character Info" for "Elden Ring Coop".
-Lowered the delay time for creating a backup for "Project Zomboid", the character may still be in a "locked action state", while the folder is copied but the time may be shortened.
-The Resident Evil 4 Remake save file has been changed from data00.bin to data000.bin, which is now working as intended. You may have to add the new RE4 profile to the local game list, or change the save file on your own to data000.bin and update the profile.

Fixes
-The status messages on the statusbar, will now only refresh on new messages, which will fix of the flickering.
-Fixed a bug, where the "Use a default backup folder" in the "Game List" still toggled, when the folder selection was canceled.
-Fixed a bug, when clicking on the "Game Option" menu (if available), the menu item was always toggling "checked".
-Fixed a bug, where the auto backup timer for new profiles was 0 without the "Instant backups" option. At default the timer is now set to 1 with "Instant backups" enabled.
-Fixed a bug, where the statusbar didn't refreshed, after updating the profile type.
-Fixed a bug, when the "Hotkey Settings" is open, right mouse click is reserved for the edit boxes only and doesn't work outside the hotkey settings.
-Fixed a bug for "Project Zomboid", where restoring a save in the listview direct after EZAB launch and "Auto backup" on, would result in a loop where nothing happens, until stopping "Auto backup".
-Fixed a bug, when creating a macro, it will always loop by default.
-Fixed a bug, where disabling "Cancel macro sequence..", while "Loop macro" is checked, will still play a macro as a loop.
-Fixed a bug, where the download url for a new ReShade version wasn't set correctly and the older version is only getting deleted, if the new version was downloaded.
-Fixed a bug, where a wrong icon and game path could be set if a diffrent game, instead of the profiles game was running.
-Other minor changes, bug fixes and code improvements.

-----3.3.3d Beta3-----
-EZAB now only restarts if the missing or updated files are not a .jpg and the downloaded bg image will be directly applied.
-Improved code for the handling auto backups for both types, where game saves are in a separate, or the same folder.
-Fixed a bug, where the statusbar didn't refreshed, after updating the profile type.

-----3.3.3d Beta2-----
-Improved code for save file check.
-Improved statusbar icon and save file info handling.
-Improved listview right click menu performance.
-It's no longer required to enabled "Auto backup profiles on exit", if you want a profile backup to be created on exit ERAB. Now you only have to either enable "Menubar > Profile > Auto backup all profiles on exit", or enable "Profile backup on exit" for each profile individually.
It is now possible again to open the game list, while the game or auto backup is running. "Create Profile" and "Update Profile" are disabled instead.
-Reorganized "Menubar > Help". 
-Removed "Menubar > Profile > Auto backup profiles on exit".
-Lowered the delay time for creating a backup for "Project Zomboid", the character may still be in a "locked action state", while the folder is copied but the time may be shortened. 
-Fixed a bug, when clicking on the "Game Option" menu (if available), the menu item was always toggling "checked".
-Fixed a bug, where the auto backup timer for new profiles was 0 without the "Instant backups" option. At default the timer is now set to 1 with "Instant backups" enabled.
-Fixed a bug, when the "Hotkey Settings" is open, right mouse click is reserved for the edit boxes only and doesn't work outside the hotkey settings.
-Fixed a bug for "Project Zomboid", where restoring a save in the listview direct after EZAB launch and "Auto backup" on, would result in a loop where nothing happens, until stopping "Auto backup".
-Fixed a bug, when creating a macro, it will always loop by default.
-Fixed a bug, where disabling "Cancel macro sequence..", while "Loop macro" is checked, will still play a macro as a loop.

-----3.3.3d Beta1-----
-Restructured the code.
-"Game List" UI overhaul. It's now split in "Local" and "Online", and your local list won't be affected from a game list update anymore. You can add selected games from the online list to your local list or use "Update local list" to replace your local list with the online list, which is like getting auto updated from the previous version.
-Deleting a profile, now let you choose between "Yes" to delete a profile with the backup folder, "No" to just delete a profile and keep the backup folder, or "Cancel".
-Added "Menubar > Donate", which Paypal has been moved to and added a link to Patreon, if you like my work and want to actively contribute to future updates.
-Moved "Menubar > File > Backup save folder" to "Menubar > Profile".
-Moved "Menubar > Game Launcher" to "Menubar > File > Game Launcher".
-The status messages on the statusbar, will now only refresh on new messages, which will fix of the flickering.
-Elden Ring is no longer a fixed profile. (Game List 1.0.2.6 required!)
-Disabled "Character Info" for "Elden Ring Coop".
-Fixed a bug, where the "Use a default backup folder" in the "Game List" still toggled, when the folder selection was canceled.
-Other minor changes, bug fixes and code improvements.

-----3.3.3e-----
-Fixed a bug for "Elden Ring", where empty backups were created.

-----3.3.3d-----
-Fixed a bug, where backups created via "Backup save folder", would have the save file extension in the file name.
-Fixed a bug, where "Manual backup" and "Quick backup", would show a "Save file not found" error, for games with more than 1 save file in the save folder (e.g. Resident Evil 4 Remake).

-----3.3.3c-----
This Update only contains fixes for "Wo Long".
-Improved the functionality of the "Save File Converter". You can now browse for a GamePass save file manually.
-The GamePass save folder is now fixed to C:\Users\<User Name>\AppData\Local\Packages\946B6A6E.WoLongFallenDynasty_dkffhzhmh6pmy\SystemAppData\wgs
-Added a manual browse button to select a GamePass save file, but the GamePass save file detection should work correctly now.
-Added a tooltip to the GamePass list, which shows the selected GamePass save file name.
-Added a horizontal scroll bar to the GamePass list.
-Removed "always on top" for the "Save File Converter" window for "Wo Long".
-If the "ID" folder is shown as the save file on the statusbar instead of "SAVEDATAxx", then please check if there is an empty SAVEDATA.BIN in your Wo Long save folder (..\KoeiTecmo\Wolong\Savedata\<ID>) and delete it.

-----3.3.3b-----
-Fixed a bug, when after a backup is beeing created, sometimes not the correct file was selected in the listview.
-Fixed a bug, where both restore and TTS sound would play after restoring a backup through the "Quick Selection". Now the restore sound won't play if it's disabled.
-Fixed a bug, where auto backup without the "Instant" option, will create empty backups or backup from the wrong folder, for games with save files in a separate folder e.g. "Wo Long".
-Fixed "Quick backup" functionality for "Wo Long".

-----3.3.3a-----
-"Auto convert save file" renamed to "Save File Converter" for "Wo Long", which is also not automated anymore, but now you can also transfer Steam <> GamePass save files.
-Removed the [ hotkey, which was used for debugging.
-Fixed a bug, where "Launch Game" didn't start the game.

-----3.3.3-----
-Added "Menubar > Profile > ReShade <version>", to quick download the newest ReShade version, which will be saved in the EZAB main folder. After completion you can access the "Run ReShade <version> menu". 
-"Run ReShade" will run the downloaded or existing ReShade_Setup file, and the game path from the profile will also be copied to the clipboard, in case you want to browse for the game, you can paste the path there.
-Added a confirmation promp for "Apply to all profiles" in the Hotkey Settings.
-Added a "Launch Game" button in the "Quick Launch" group, to quick launch the current profiles game. This will be automatically set once the game started.
-Added "Menubar > Game Launcher", to quick start Battle.net, Epic Games, Steam or Ubisoft Connect. This will be automatically enabled, once the launchers are running, or the active window.
-Changed a few tooltips regarding the game type update, when a profile's type was not detected correctly, to make the process more easier to understand.
-Text correction for downloading dlss in the statusbar.
-Fixed a bug, where the "Known Issues" icon doesn't display numbers, other than the version number.
-Fixed a bug, where right clicking the hotkey edit box, beginning from "Restore last manual backup" to the rest of the hotkey functions, always prompted the "Custom Key Input" edit box from the previous hotkey function.
-Fixed a bug, where restoring the default hotkeys, won't unbind the old hotkeys.

-----3.3.2a-----
-Added a soundbeep in the beginning of a macro sequence, to let you know it was activated. This is enabled for the first time after loading any existing profiles and can be disabled in the "Macro Manager".
-Minor text changes in the "Mancro Manager".
-Fixed a bug, when adding a new "Quick launch app", there's no input name promp, after selecting a file.

-----3.3.2-----
-Added an option to manually enter a custom key input as a hotkey like "Shift/LButton for Left Mouse/Ctrl..", when you right click the hotkey box.
-Added a "Key Input List" link in the "Hotkey Settings", to open the autohotkey key list help site for all inputs.
-Added tooltips for the hotkeys edit box.
-Added a tooltip for the list view, when no backup is selected.
-Added a delay time for backups, between copying the save folder and compressing it, to make sure every files are packed properly for "Project Zomboid" profile types.
-"Elden Ring stutter fix" in "CPU affinity" is now only enabled for "Elden Ring" profile types.
-Fixed a bug, when custom cpu affinity was set for a profile, after switching the another profile, the cpu affinity settings from the previous profile is still active.
-Fixed a bug, where the tooltip of "Reinitialize Controller hotkeys" in the "Hotkey Settings" and a few other listboxes was flickering and overlayed by another tooltip.
-Fixed a bug, where the statusbar date format didn't refreshed, after the "Sort list by" date format had changed.

-----3.3.1b-----
-Removed right click debug message.
-Other minor bug fix.

-----3.3.1a-----
-Added "WMPlayer invalid class string" error catching on launch. EZAB will now auto disable the sound volume if needed, to fix this issue.
-Changed the hotkey for repositioning the "Status overlay", from Ctrl+Alt+Q to Ctrl+Alt+M.
-Fixed a bug, where it was not possible to unbind a controller hotkey.
-Fixed a bug, where the "Enable hotkeys" toggle didn't function as intended.

-----3.3.1-----
-Code optimizations.
-Added a checkbox to toggle on/off custom hotkeys in the "Hotkey Settings".
-Added a new hotkey to quick restore the last manual backup which is by default "F4". It has to be manually set first tho.
-Added missing tooltips in the hotkey settings for the "Wo Long" tab.
-Added an info message after creating a "Wo Long" profile, on how convert save files work.
-Changed "Restore default" hotkeys for "Manual backup" from "F4" to "F3".
-The "Wo Long" hotkeys tab, will only show up for "Wo Long" profile types.
-When the "Hotkey Settings" is opened, the profile select will now be disabled, until the settings are closed.
-"Menubar > Help > Support > Contact" is renamed to "Bug Report". Many may not know that this previous "Contact" menu is a formular to send bug reports or suggestions anonymously, which will help me to fix and improve EZAB in the future. So i would appreciate if you report any bugs you find :). The easiest and fastest way is still through discord.
-Updated tooltips for "Auto Backup".
-When a dublicated hotkey is found, the old key will now be insert back to the editbox, instead of deleting it.
-The auto backup timer will now paused, when the game is not the active window.
-The current save file in the statusbar, will now show the modified folder instead of the save file for games, where the save files are in a seperate folder e.g. "Cyberpunk 2077" or "Wo Long" (but not for "Project Zomboid").
-Changed the hotkey for repositionening the "Status Overlay" from CTRL+ALT+S to CTRL+ALT+Q.
-Fixed Restore "Quickbackup" shows no file found error for "Wo Long".
-Fixed a bug, where the statusbar sometimes didn't refreshed to the correct save file, after changing the profile.
-Fixed a bug, where the "Save files are in a separate folder" box was checked for "Elden Ring". It's now disabled when "Elden Ring" is selected.
-Fixed a bug, where the "ID converted message" would be looped, when no save file exists for "Wo Long".
-Fixed a bug, where turning off "Auto convert save file" for "Wo Long", didn't disable the function.
-Fixed a bug in the "Macro Manager", where no Macro folder was created.
-Fixed a bug, where the same info message for "Skip Intro" would pop up 2 times, after creating a "Returnal" profile.
-Other bug fixes and text corrections.

-----3.3.0c-----
-Added Mouse Button 4 and 5 to "other input" in the "Macro Manager".
-Added additional hotkeys tab for "Wo Long", where you can set hotkeys for parry and dodge seperatly (dodge is kinda sloppy with gamepad, and for parry you have to stand still, where with keyboard your movements will auto stop). To bind it to the Space/CTRL/Shift and so on keys, open the <Profile>.profile and edit for example HK24=~Space for parry and HK25=~CTRL for dodge.
-Fixed a bug, when a dublicated hotkey is detected, after the flashing the hotkey box stays disabled.
-Fixed a bug, where the "Manual backup" for games, with save files stored in a seperate folder didn't work (e.g. Wo Long).
-Fixed a bug, restoring backups through hotkeys for games, with save files stored in a seperate folder didn't work (e.g. Wo Long).
-Fixed a bug, where restoring a backup from the "Quick Selection", or using "Restore Last backup and Restore 2nd Last backup", didn't play the restore sound.
-Fixed a bug for "Elden Ring", where "Restore Quickbackup" moved the "Quickbackup.sl2" file to the save folder, but didn't rename it to "ER0000.sl2" afterwards.

-----3.3.0b-----
-Added "Auto convert save file" as an "Game Option" for "Wo Long". This will auto convert other save files ID to your ID, like the save file from the demo. Just copy and replace any save file to the save folder while the game is !not! running.
-Other minor bug fix.

-----3.3.0a-----
-EZAB will now auto create the ERAB.ini if it doesn't exists.
-Minor tooltip updates.
-Removed the fixed F2 hotkey, which was used for debugging.
-Fixed a bug, when updating EZAB, without an existing profile, a "None" profile was created after the first restart, until restarting EZAB again.
-Fixed hotkeys tooltip position.
-Fixed a bug, when renaming a profile and "Use default backup folder" is enabled, the <Profile> folder didn't get renamed aswell.

-----3.3.0-----
-Added "Menubar > Profile > Auto profile backup for all profiles". When "Auto backup profiles on exit" is enabled, you can now enable this option to backup all profiles on exit, instead of enabling profile backup for every profile seperately.
-Added a promp when deleting a profile, if you want to also delete the macro file, if it exists.
-Added a checkbox option in the "Game List", to change the save file check method for games, where the safe files are in seperate folders (e.g. Wo Long or Cyberpunk 2077).
-Added a confirmation promp for deleting a "Quick Launch app".
-Added an option to loop a macro sequence.
-Improved auto profile type matching, after a game list update.
-Improved save file check method for games, where the save files are in seperate folder (e.g. Wo Long or Cyberpunk 2077).
-Improved macro functionality.
-When a hotkey dublicate is detected and the hotkey is in another Tab (Hotkeys or Macros), then the tab will be switch to see the existing hotkey.
-When you "Browse" an existing QL app, it's not required to re-enter a name anymore.
-You can now only check "Cancel macro..", after a macro has been assigned once, to prevent writing ERROR sections in the ERAB.ini.
-Fixed a bug, where the "Auto quicksave" option for "Cyberpunk 2077" didn't function anymore since 3.2.9.
-Fixed a bug, where the backup file from "Menubar > Backup save folder", had a wrong date format and no icon in the list view.
-Fixed a bug, where the statusbar sometimes wouldn't be completely drawn on the UI, after creating a profile.
-Fixed a bug, where the Hotkeys tooltip and set count weren't reseted, after deleting a profile and no other profiles exists.
-Fixed a bug, when a browse dialog for a "Quick Launch app" was canceled, the "Delete" button was enabled, tho no app was set.
-Fixed a bug, when opening the settings and a "Quick Launch app" is set, sometimes the "Delete" button for that app stays disabled.
-Fixed a bug, where the controller bindings stoped working (hopefully).
-Other minor tooltips changes or text corrections.

-----3.2.9b-----
-Added a hotkey function for "Initialize Controller hotkeys" (default Ctrl+Alt+C).
-Added tooltips in the "Macro Manager".
-The Macro functions in the "Hotkey Settings > Macros" tab, are now also showing the assigned macro name.
-Fixed the tooltip for "Auto reintialize controller hotkeys.." in the "Hotke Settings".
-Fixed a bug where some text colors in the the "Hotkey Settings", doesn't match with "dark mode" theme.
-Fixed a bug, where tooltips for assigned macro functions, not displaying the correct assigned macro.
-Fixed a bug, where tooltips for assigned macro functions, were not refresh after assigning a macro to a macro function.
-Fixed a bug, where number of hotkeys set weren't correctly counted.
-Fixed the text for "Auto reintialize controller hotkeys.." in the "Hotke Settings" beeing too long.
-Other bug fixes.

-----3.2.9a-----
-Added a confirmation dialog for deleting a macro (not key input).
-Added a confirmation dialog for "Prevent backups creating in a wrong profile", and an additional info is added to let you know where to deactivate it.
-Added macro hotkeys to the hotkeys tooltip.
-After adding or deleting an item in the "Macro Manager", the list item will be unselected.
-Trying out a new method to reinitialize the controlle bindings, instead of force restarting EZAB on game launch (Now you will hear 2 beeps when it happens). The auto method is renamed in the hotkeys settings and it's now also possible to do it manually by pressing CTRL+ALT+C.
-Fixed a bug, where sometimes the check status for "Use other input" in the "Macro Manager" wasn't recognized correctly.
-Fixed the hotkeys for Exit and Restart EZAB was set to Ctrl+Alt+R/X instead of Alt+R/X.
-Fixed hotkey ERROR message on launch.
-Fixed Hotkey tooltips not showing "not set", when no profile exists.

-----3.2.9-----
-Added "Macro Manger". You can now create macros which can be assigned to Macro functions 1-10 via hotkey to each profile.
-Added "Menubar > Profile > Mancro Manager".
-Added a "Macros" Tab in the "Hotkey Settings", where you can assign a hotkey to up to 10 macro functions. 
-Added support for Atomic Heart.
-Added an option for "Returnal" to skip the intro. This will rename all Logo*.mp4 files, so to skip the long anoying logo intros.
-Added a drop drown list, to assign hotkeys to Macro functions 1-10 in the hotkey settings.
-Added "Game Folder" in the settings "Game Folders" tab. The game path is set automatically when the game started, but it only sets the exact game.exe is location. Here you can manually browse for the main game folder e.g. c:\Game and not c:\Game\bin\exe. It's optional for EZAB to automatically update the DLSS file.
-Added an option in the "Quick Selection" settings, to manually choose between "Overlay", "TTS" or "Auto" (Auto by default). Keep in mind that overlay only works for games in windowed mode.
-You won't be able to create a new profile now, while the game from the current profile is running, instead of the "Game List" getting automatically closed.
-The info message to exit the game first before laoding a backup, will now only popup after creating the profile, instead of each time loading the backup from the listview, while the game is running.
-Updated "New DLSS version" info handle.
-The CPU affinity will now be set correctly for the last (main) process, if a game has multiple PID's with the same name.
-Other codes cleanup and improvements.
-Fixed a bug, where the game check timer may be deactivated without beeing reactivated, so the game won't be detected for auto backups until restarting EZAB.
-Fixed a bug, where the CPU icon isn't showing up when toggling "Auto set affinity on game launch".

-----3.2.8-----
-Added the "Game Folder" path to the profile tooltip.
-Added the keyboard hotkeys "ALT+R" to restart, and "ALT+X" to exit EZAB.
-Added an info message for optimizing or saving in the "Engine Editor" for "Hogwarts Legacy".
-Added an option to restore the stock NVIDIA DLSS file (nvngx_dlss.dll.bak).
-You can now use "Enter" keys on the keyboard to quickly create a profile in the "Game List" after using quick search.
-"Auto set cpu affinity" will now also enable or disable the custom cpu affinity on the fly.
-Updated Engine.ini parameters for "Hogwarts Legacy".
-Moved the "Set default backup folder" option to the "Game list" (create new profile window).
-The "Game List" will now automatically closed, when a game is running.
-To create a new profile/open the game list, you have to stop the auto backup function first.
-The "Browse" buttons for the backup and save file folder in the settings, are now disabled if no profile exists.
-The menu "NVIDIA DLSS" under "Menubar > Profile" is now disabled if no profile exists.
-Updated tooltips.
-Fixed a bug, where clicking "Update Profile", directly after editing a game in the profile list, the game type for that profile wasn't updated correctly. You had to manually click in the list first to update the correct game type.
-Fixed a bug, when the settings UI is open and a profile was created, the profile folders weren't refreshed in the settings UI.
-Fixed a bug, when the settings UI is open and a profile was changed, the "Delete" buttons in the quick launch settings wouldn't be disabled or enabled according to the selected profile.
-Fixed a bug, where "Set CPU affinity" under "Menubar > Profile" wasn't disabled, when no profile exists.
-Other minor fixes.

-----3.2.7c-----
-The profile drop down list is now only disabled, when a game is running and auto backup is active, instead of just when the game is running.
-Fixed a bug, when "Auto set cpu affinity" is enabled for a profile and EZAB wasn't running as admin on launch, the info message to run as admin wasn't showed up.

-----3.2.7b-----
-Fixed a bug, where the auto backup/game check timer wasn't reactivated after the DLSS version check.

-----3.2.7a-----
-Forgot to add the function for "Menubar > NVIDIA DLSS > Go to Techpowerup for all DLSS versions".

-----3.2.7-----
-Added <Steam> and <Ubisoft> variables to the game list menu. These variables will resolve the launcher path and will be automatically set, if the launcher is running to auto input the save files folder.
-Added version check for DLSS on the EZAB server.
-Added an info message, when a custom "Game Option" is available, for how to access it after creating a profile.
-Changed the menu sections for "Menubar > Profile > Download newest NVIDIA DLSS". It now has sub menus to see the current DLSS version and to go to the Techpowerup site for all versions.
-Changed the changelog handling for the game list update.
-Removed the profile check where auto backup would stop, because now you cannot change the profile anyways while the game is running.
-Fixed a bug, when an optional save file folder with <ID> was set, the path was only auto input to the <ID> folder e.g. for C:\Game\<ID>\123\save, C:\Game\12345 was used instead of C:\Game\12345\123\save. The <ID> variable works for every folder with ID number names. e.g. C:\Game\<ID>\game\<ID>\save. 
-Fixed a bug, where disabling "EZAB status overlay" in "EZAB Settings", didn't disabled it on the fly.
-Fixed a bug, where the "Character Info" under "Menubar > File" for "Elden Ring" was disabled, when switching from another profile.

-----3.2.6b-----
-Added "Open folder" button, to open the folder where the Engine.ini file is located.
-Added a info message for "Hogwarts Legacy" when loading a backup while the game is running, to exit the game first, because the game would still use the in game save file instead of the restored backup.
-When opening a game specific option like "Character Stats" for "Elden Ring" or "Engine Editor" for "Hogwarts Legacy", the profile dropdown list will be disabled until the game option is closed.
-Updated the info message for downloading NVIDIA DLSS, when no files where found, the game folder could not set correctly to the main folder, which can be done manually in the <Profile>.profile. If it's set, EZAB will install the DLSS files correctly.
-Text corrections in the "Engine Editor" for "Hogwarts Legacy".
-Info text changes for "Download newest NVIDIA DLSS".
-Updated the README.txt.
-Fix a bug where "Menubar > Setting" was still disabled when no profile exists.

-----3.2.6a-----
-Added the "Game Option", "Engine Editor" for "Hogwarts Legacy" under "Menubar > File" or "Right click > List view" to load optimize Engine settings or edit on your own.

-----3.2.6-----
-It's now possible to access the settings without having to create a profile. If not profile exists, the default settings will be overwritten or a error message will appear for some settings.
-Added support for Hogwarts Legacy. (The game must be closed to restore a backup, and steam cloud save may have to be disabled)
-Added right click "Open", to directly open the selected backup file from the listview.
-Added a tooltip for the screenshot preview, which will show up when a backup file is selected.
-Added "About" in "Menubar > Help" which will opens the "Settings > About" tab.
-Added "Delete" buttons in the settings for "Quick launch apps", to delete an app, instead of canceling the browse window.
-Added statusbar messages for restoring the last or 2nd last auto backup.
-Added "Menubar > Open folder > Game folder" to open the game folder. The game folder will be set automatically when the game is run once.
-Added "Menubar > Profile > Download newest NVIDIA DLSS", to download the current dlss version from the EZAB server (i try to stay updated). When the game folder is set EZAB will search that folder for an existing nvngx_dlss.dll file which will be backed up and replaced. If none is found, you can still manually copy it from the EZAB folder.
-Readded the function to auto remove duplicated game list entries like game=game, which was accidentally removed in 3.2.5b.
-Improved save folder auto detection for games where the save folder includes <ID>. If the <ID> variable is used in a profile, and only 1 <ID> folder exists, this will automatically be ipout as the save folder. Otherwise an info box will appear to let you know, to choose your prefered ID folder.
-When using "Exclude" and no optional save file path is set, an input box prompt will appear, where you can manually type in all files to exclude, instead of the browse window.
-You can now click on the left side of the "Statusbar" with the last modifed save, to show a screenshot of the last ingame save point. The list view selection will be then deselected.
-It's now possible to right click on the "Quick Launch" 1-4 buttons, to go directly to the Quick Launch settings.
-When a game is running the profile dropdown list is now disabled, until it's closed. 
-Updated tooltips for "Quick Launch" 1-4 buttons.
-Updated a few tooltips.
-If no game icon exists, the icon is now saved from the .exe path, after the game launched instead of the first auto backup.
-The sound option for "Auto backup" is renamed to "Create backup".
-Changed the settings logic for enable/disable sounds. Disabling "Restore Backup" will also disable the TTS sound for auto backups
-The settings window will now be refocused, if it's already open.
-Removed the <SteamID> variable and settings.
-Fixed a bug, where it was possible to add a custom game, when the name was diffrent but the save file or game.exe was the same.
-Fixed a bug, where the in the hotkeys overview tooltip, the "Quick backup" function wasn't present.
-Fixed a bug, where it wasn't possible to disable the TTS sound for "restore last" or "2nd last auto backup".
-Fixed a bug, where deleting a profile while the game is running, results in a Start/Stop Auto Backup loop.
-Fixed a bug, where the "wrong profile type" info icon showed up, if no backup files existed.
-Fixed a bug, where "Project Zomboid" profiles won't create any backups, if it was the first created profile.
-Fixed a bug, where the auto backup timer didn't resume, after it was paused, when selecting a game in the game list.
-Fixed a bug, where after added a custom game, it could only be found in the game search after restarting EZAB.
-Fixed a bug, where the "-" button wasn't disabled if no game was found in the "Game List" search.
-Other minor bug fixes and text changes.

-----3.2.5b-----
-Rewritten the game list update method.

-----3.2.5a-----
-Dublicated game list entries named like game=game will be automatically removed, after updating the game list.
-Improved profile type auto correction and auto detection.
-Fixed the hotkeys tooltip position, when launching EZAB in minimalistic mode.
-Fixed a bug, when launching EZAB in minimalistic mode the status bar didn't show up.
-Fixed a bug in the game list update, where a game may not be added after an update.
-Other bugfixes.

-----3.2.5-----
-Added an additional tootlip for the game list "Edit" button and an additional info for the Profile tooltip, on how to update the profile type.
-Added an info icon, which will show up if the profile does not match the profile type. You can click on it or go to cr eate a new profile (+), and click on "Update Profile" after selecting the correct game fix it manually.
-The "Status Info overlay" in windowed mode will now always show up in "positioning mode", when the position is not set. Move the window to the wanted screen position and close it, to save the new position.
-The "Status Info overlay" in windowed mode is now disabled by default, if restoring to the default settings.
-The "CPU Affinity" settings will now open automatically, after restarting EZAB for admin rights.
-Improved game list update method (hopfully no more double entries).
-Improved auto profile type detection. If the profile still does not match the profile type, an info icon will show up.
-Improved the statusbar. If no .ico file for the profile exists, then the game icon from the game.exe will be used.
-Removed all .ico game icons from the file check, because it's not needed anymore.
-Updated the Readme.txt with the CPU affinity settings.
-Fixed a bug, where the "delete excluded files" confirmation promp always showed up, tho no files were in the exclude list.
-Fixed a bug, where after switching to the Cyberpunk 2077 profile the "Enable auto quicksave" option in "Menubar > File" wasn't enabled.
-Other bug fixes.

-----3.2.4a-----
-Fixed a bug, where the status bar didn't show an icon if the .ico didn't exists. Now it will show "Game is not running.." instead of the game icon.
-Fixed a bug, where the listview didn't refreshed after a backup was created, when no icon exists.
-Fixed a bug, where the backups where created in the wrong folder, if a default backup folder was set e.g. C:\backups\<profile> but the backups were placed in C:\backups.

-----3.2.4-----
-Added a UI under "Menubar > Profile > Set CPU affinity for current profile", to set the CPU affinity for each profile (requires to run as admin). If enabled, the cpu affinity will be auto set when the game is launched. The "Elden Ring fix" option (only for more than 4 CPU threads), will disable 40% of the CPU cores after 60 secs after a game launch, and reenables them after 2 sec, which should improve the "Elden Ring" performance (experimental setting, feedbacks are welcome).
-Added an icon for the custom CPU affinity, which will show up, when the affinity is set by EZAB.
-Icons from custom or future added games are now obtained from the game executables, after launching the first time.
-Profile background files can now also be named as the bg_<game.exe>.jpg, since a few games are using the same save format.
-Fixed a bug, where the selection in the "Game List" will always stayed as "Elden Ring", if "Elden Ring" is the active profile.
-Fixed a bug, where double click in the "Game List" to create a new profile didn't worked.
-Fixed a bug, where the "Game Option" in "Menubar > File" didn't changed, if an "Elden Ring" or "Cyberpunk 2077" profile was created.

-----3.2.3a-----
-Improved the backup function for "Project Zomboid". Now the active save folder is backed up seperately, instead of the whole Zomboid folder. When loading a backup, a message will show which folder is beeing restored (only for 3.2.3a backups).
-The update UI is now always on top.
-Fixed a bug, where the default save folder wasn't used for creating a new profile, if no steam id was set.

-----3.2.3-----
-Added "Menubar > File > Restart" to quick restart EZAB, if the controller hotkeys stop working.
-Added an option in the hotkey settings, to auto restart EZAB, after a game is launched. This will reenable the controller bindings, if they stopped working.
-Added a more user friendly update UI.
-Added the game icon to the statusbar with a tooltip, which shows up when the game is not running, instead of the game name as text.
-Added a new Support UI, to make it easier for requests or reporting bugs.
-Added a red and a green circle icons as indicators, for the auto backup status on the statusbar.
-Improved "Quick Selection" backup files order, to sync with the listview. Selecting the listview files will also select the files from the "Quick Selection" list.
-Improved statusbar refresh rate, which will now be instantly without any delays.
-Optimzed the listview loading performance.
-Reorganized the "Menubar > Help section" with a "Support" category.
-The tooltip position for the current profile and hotkeys are now fixed.
-Turning on auto backup will focus the game if it's running.
-Updated a few tooltips.
-Updated the default ERAB settings.
-Removed the "Last:" text on the statusbar. A tooltip is added instead to let you know, that it's the last modified save file.
-Minor text fixes.

-----3.2.2a-----
-Fixed a bug, where a "SavePath" folder was created in the EZAB dir, instead of using it as a variable, when the "Set default backup folder" option was enabled.
-Fixed a bug, where "Elden Ring" wasn't recognized for the backup functions.
-Fixed a bug, where the "Changelogs" tab, didn't initialy showed the changes of the current version, when opening the settings.

-----3.2.2-----
-Game list UI overhaul.
-Added a list search function for the "Game list".
-Added an optional save path field, to set a default save folder for the profile. You can use the following variables for the path: <AppData>, <UserName>, <MyDocuments>, <SteamID>. If the <SteamID> is used but not set for the selected game or the folder doesn't exists, the default save path won't be used.
-Added an option to run EZAB minimized on windows startup in "Menubar > Options". (EZAB must be run as Admin)
-Added an option in the "Game Folder" settings, where you can enter your Steam ID for the <SteamID> variable, to set a default save folder for creating a new profile.
-Added the functionality to auto detect the game type from a profile, if the GAME list order changed.
-Added "Game request" to "Menubar > Help" to send a request of a game, which isn't supported by EZAB.
-Excluded files can now be multi selected in a file select dialog. The files are now shown in the tooltip.
-Updated the "Changelog" tab in the settings.
-Improved overall functionality of managing the game list.
-Improved invalid characters detection in naming.
-You can now also double click in the game list, to create a profile for the selected game.
-When opening the EZAB or Hotkeys Settings, the Edit boxes won't be in focus anymore.
-Renamed the "Choose a game profile" UI title to "Game List".
-Updated a few tooltips.
-Updated the readme (Menubar > Help > Quick guide).
-Fixed a bug, when editing a game in the "Game list" and the info message of missing save file extension popped up, every game list entry was doublicated.
-Fixed a bug, in the game list update, where one of the games with the same game.exe names, will be overwritten.

-----3.2.1-----
-Added a "Set default backup folder" option in the "Game Folders" settings. If enabled, the default folder will be set as the backup folder when creating new profiles.  You can still choose your own folder if you click on browse. The tooltip will show which folder is set.
-Added missing tooltips for the backup and save file folder paths, in the create new profile window.
-Added pre save location path in GAME.ERAB, if you create a new profile and the save location is available, it will be preinserted. In some instances the location may be wrong so change accordingly.
-The listview right click menu "Options" for Rename/Restore and Delete, has been moved to "<selected backup in the listview>".
-Switching to the mini UI, will now also move the "Hotkeys set" text accordingly.
-The last and 2nd last backup files are now saved in each <profile>.profile seperately.
-Code improvements.
-Changed the Temp unpack folder to "\EZAB\Temp" instead of the "..\<backup folder>\Temp" from each profiles.
-Custom games with the same <Save file name> and <game>.exe, and also "Elden Ring" since this game is fixed to EZAB, can no longer be added to the game list.
-For adding custom games, it's now required to enter a save file extension. If the game doesn't have one (e.g. Control) then enter "none".
-Fixed a bug, (only if no profile existed) where the "turn off auto backup" function was triggered every sec, when hovering the mouse to the minimize or close button, on the top right corner of EZAB while the tooltip showed up, and toggle auto backup was possible through the hotkey.
-Fixed a bug, where after restoring a backup, the file and timestamp on the statusbar, may not be updated correctly.
-Fixed a bug, where the "Quick selection" backup list, didn't always match the order of the listview.
-Fixed a bug, when using the "Quick selection up/down" functions too fast with keyboard hotkeys, sometimes an error message appeared.
-Fixed a bug, where the "LastSave.jpg" is also included in a profile backup.
-Fixed a bug, where the "Overwrite" Profile backup function, wasn't overwriting an existing profile backup, but only adding new files to the archive.
-Fixed a bug, where the auto backup function, didn't create a backup for games with multiple save files. The backup only showed up in the list.
-I haven't found the issue of not working controller hotkeys yet.. so if this happens, just restart EZAB while the game is running.

-----3.2.0a-----
-Fixed a bug, where the last backup files in the .ini, wasn't set correctly after switching a profile.
-Fixed a bug, where the last profile entries in the .ini wasn't deleted, after deleting a profile.

-----3.2.0-----
-New EZAB splash logo and icon.
-Profile backup function overhaul, the complete profile including <profile>.profile will now be backed up. The backup icon will now only turn green, if in the profile backup folder a <backup>.zip exists besides the <profile>.profile. If a profile backup already exists from the previous version, EZAB will automatically backup the missing <profile>.profile.
-Loading a profile backup now doesn't require the profile to be already created, if the profile doesn't exists, the <profile>.profile will then also be copied.
-Added tooltips for the hotkey functions, and a few other tooltips are updated.
-Added a Donate button under Menubar > Help, of course EZAB will always stay free, but if you like my work and want to support me you can do it there :).
-Added a info message for Cyberpunk 2077 profiles, to set the quick save hotkey in game and in EZAB as the same key, in order to use the auto quicksave function, which is enabled by default.
-If new EZAB gfx files are available, only the EZAB specific files will be updated, instead of including all other games gfx files (icon/background image). 
-Other bugfixes.

-----3.1.9c-----
-If you have a controller plugged in, hold L+R for a few seconds until the "enter the code" message, to enter a famous code for a capcom anniversary game.
-Fixed a bug, where updating the game list could cause a error message and messing up the profile backup dialog on exit.
-Other minor bugfix.

-----3.1.9b-----
-Added support for The Witcher 3, all AutoSave files will be save as W3Autosave..sav.zip and the CheckPoint or Manual save files are backed up seperatly, and wont be affected from the max auto backup count.
-Shortend "Last modified:.." text to "Last:.." to fit longer save file names like from The Witcher 3.
-Fixed a bug, where the EZAB window stayed disabled, after creating a manuall profile backup (cloud icon).
-Fixed a bug, where the auto backup may not work correctly, when creating a new profile after another profile was used, because not all auto backup settings variables were reseted.
-Fixed a bug, where the message "The current profile does not match with the existing backup file" will show up, if the backup list of the current profile is empty.
-Fixed a bug, where after deleting a profile, the backups and profile list would take a long time to refresh.
-Other bugfixes.

-----3.1.9a-----
-Added FFToolTip() function by iPhilip, to fix the tooltip flickering issue. 
-Added tooltips in the browse folder dialog, for creating a new profile.

-----3.1.9-----
-Added a "?" button in the create a new profile browse folders window, to google for the save location from the current game.
-Added a info message to select the "Zomboid" folder as the save folder for "Project Zomboid", if a sub folder was selected.
-Minor UI element changes in create a profile dialog.
-Updated the "Quick backup" and "Manual backup" functions for "Project Zomboid".
-Fixed a bug, where it took EZAB longer to launch, when no profile exists.

-----3.1.8c-----
-Removed debug message.

-----3.1.8b-----
-Fixed a bug, when on exit the game list sometimes failed to be uploaded, EZAB couldn't be closed.
-Fixed a bug, where no unknown custom games were uploaded.
-Fixed the backup function for Project Zomboid, now the whole Zomboid folder will be temporary copied first, before creating a backup from that folder.

-----3.1.8a-----
-Added support for Project Zomboid, for auto backups the complete main save folder will be backed up e.g. "Builder".
-Improved game list update handling.
-Improved auto backup and restore functionality for "Project Zomboid" and "Cyberpunk 2077".
-For "Project Zomboid" the same hotkeys as "Cyberpunk 2077" will be disabled.
-Fixed a bug, where the auto update check intervall was fixed to 30min.
-Fixed a bug, when creating a new non Elden Ring profile, an error was shown that no ER save file was found.
-Fixed a bug, where LastSave.jpg would be recognized as an existing backup file.

-----3.1.8-----
-IMPORTANT: if your profile does not match the game, go to the add a new profile menu and click "Update Profile", after selecting the correct game from the list.
-Added auto upload GAME.ERAB on exit if a custom game exists which isn't on the default game list, for future updates of the default game list.
-Added an info message, if the existing backup files does not match the ones from the current profile, which could occur when the game list was updated.
-Improved game list update handling.
-fixed a bug, when more than one "Quick launch app" was added for the current profile, the edit boxes in the create game profile window had the values from the quick launch apps, and the dialogs were messed up.
-fixed a bug, where "Quick launch app 2-4" buttons may not be enabled, if more than 1 QL app exist.

-----3.1.7d-----
-Fixed a bug, where the "Quick Launch Apps" didn't load at EZAB launch, when only 1 game profile exists.

-----3.1.7c-----
-Fixed a bug, where only Elden Ring profiles can be created, when EZAB is freshly installed.
-Fixed a bug, where a hotkey ERROR would appear, after deleting a profile if no hotkey for "Quick selection delete backup" was set, because the new hotkey wasn't initialized after updating EZAB.
-Fixed a bug, where Hotkey settings could be opened if no profile exists.
-Fixed a bug, where deleting a Profile didn't completely removed the profile, if the deleted profile was the only one.

-----3.1.7b-----
-Added a info message to let you know which save folder ist restored for Cyberpunk 2077, when loading a backup from the listview.
-Replaced Gfx\bg_ScornSave_00.ico with Gfx\bg_ScornSave_00.jpg which was wrongly created for Scorn.
-Removed the delay of the restore sound, when restoring a backup from the listview.
-Fixed missing tooltips for the "Set" buttons of the new "Reset backup timer" hotkey functions.

-----3.1.7a-----
-Added 2 hotkey functions, "Reset auto backup timer" will reset only the timer for auto/instant backup, "Reset timer with backup" will reset the auto/instant backup timer and also creates a backup.
-Fixed Hotkeys tooltip not showing up the new hotkeys.
-Fixed a bug where saving a controller binding with a Cyberpunk 2077 profile, all "Set" buttons were reenabled.
-Fixed an issue where sometimes the controller bindings didn't work.

-----3.1.7-----
-Added a seperate settings window for hotkeys, to make it easier to add addional hotkey functions in the future. (click on "Hotkeys set:" to open)
-Added a new hotkey function to delete a backup from the "Quick selection". This hotkey isn't set by default because there will be no confirmation when you use it, so be cautious if you set this hotkey!
-Added an additional info message to the profile creation and Game folder selection, to not choose the save folder as the backup or profile backup folder.
-Added auto detection for games with multiple save files like Control, Cyberpunk 20777... to auto enable "Use .zip compression for backups files".
-"Quick selection" will now also select the backup files through the listview.
-Added the profile backup folder path to the "Backup current profile" tooltip.
-Updated the tooltip for "Hotkeys set:" to let you know, that a click will open the hotkey settings.
-Updated the info text before deleting a profile, to let you know to backup the profile first before deleting the profile with ALL its backup files, if you want to keep the files.
-Fixed a bug where the keyboard hotkey input in the settings, shows the hotkey from the previous profile, when the profile was switched where that hotkey wasn't set.
-Fixed a bug where pressing F2 after launching EZAB, would popup the rename dialog with the listview header preinserted, instead of the backup file in the listview.
-Other minor bug fixes.

-----3.1.6b-----
-Changed the info message, for using quick or manual backup, when the game isn't running.
-Fixed a bug for Cyberpunk 2077, where the backup creation still wasn't always functioned as intended.

-----3.1.6a-----
-Fixed a bug, where the tooltip for keyboard hotkeys didn't show "not set" when the hotkeys weren't assigned.
-Fixed a bug, where the guide tooltip for creating a new profile didn't show up, when the quick setup dialog was canceled.
-Fixed a bug, where it was possible to use "Compress all uncompressed files" without a profile, which results in an error.

-----3.1.6-----
-Added an option to restore the default hotkey bindings in the hotkey settings.
-After adding a new game to the game list, the newly created game will stay selected.
-Improved profile loading when using the mouse wheel.
-Reorganized "Menubar > Help > NexusMods" entry.
-Fixed a bug, where the "Quick Launch" buttons weren't disabled correctly after creating a profile, if from the previous profile any QL buttons were set.
-Fixed a bug, where no tooltips was shown if no profile exists.
-Fixed a bug, where the game list wasn't selecting the right game profile after editing an existing profile, tho the list item was highlighted.
-Fixed a bug, where deleting a game from the game list would prevent selecting other games from the list, until the profile creation was reopened.
-Fixed a bug, where the progress bar of "Compress all uncompressed files" is always showing up, regardless if there aren't any uncompressed files.
-Fixed a bug, where updating the game type from an Elden Ring/Coop profile would prevent the listview from refreshing.
-Fixed a bug, where in some situations a hotkey error still occurs.
-Fixed a bug, where ~ would always toggle Auto backup.
-Fixed a bug, where after refreshing the listview, the last selected backup wasn't reselected.
-Fixed a bug, where the backup files didn't show up in the listview after EZAB launch, when Cyberpunk 2077 was the last used profile.
-Fixed backup functionality with Cyberpunk 2077.
-Other minor bug fixes.

-----3.1.5b-----
-Removed the beep sound when a backup is created.

-----3.1.5a-----
-Fixed a bug, where "Instant backup" didn't work.
-Fixed a bug, where in Cyberpunk 2077 a backup was always made after an auto save, regardless of the auto backup timer.

-----3.1.5-----
-Added the function "Backup save folder", to manual backup the complete save folder under "Menubar > File". The files will be named as SaveFolder.<Ext>_<Date>.zip.
-Added support for Cyberpunk 2077, older EZAB version won't work because each Cyberpunk 2077 save file is stored in a seperate folder (update your GAME.ERAB).
-For the the Cyberpunk 2077 profile, only quick/manual backup and toggle auto backup are available as hotkeys, since the other functions aren't necessary. The game will quick save before each backup.
-Since Cyberpunk 2077 rarely auto saves, a game option to enable auto quick save in game before an auto backup is added which is enabled by default. The keyboard hotkeys for quick save in game and quick backup in EZAB must be set as the same (default is F5). This option can be toggle in the right click menu or under Menubar > File.
-The screenshot delay time in "EZAB Settings" is now stored seperately for each profile.
-A few minor tooltip text changes.
-README.txt updated for Cyberpunk 2077.
-Fixed a bug, where the auto backup interval will always reset to the default value once it runs out, instead of the custom value if set.
-Fixed a bug, where the "Known bugs check" didn't run at startup.
-Fixed a bug, when switching the profile while in EZAB Settings, the status overlay option wasn't toggled correctly according to each profile settings.
-Fixed a bug, which shows a hotkey error, when switching the profile after removing a keyboard hotkey from the previous profile.
-Fixed a bug, where the listview header display format was changed after an auto backup.

-----3.1.4-----
-Added "Quick guide" under Menubar > Help", to open the readme.txt file for a quick guide on the EZAB functions.
-Quickbackup will now backup the latest save file, instead of always the main file (only relevant if the game has multiple auto save files).
-When renaming a backup file, the current file name is now pre inserted in the edit box.
-"Update intervall" renamed to "Update check intervall".
-Updated "Quick Selection" info text.
-Updated README.txt

-----3.1.3a-----
-Fixed a bug in "Set the current profile as default" which prevents loading other profiles after EZAB launch, when a default profile was loaded.

-----3.1.3-----
-Easter Egg reminder, try to find the 2 controller buttons which needs to be held for 5 seconds, to enter a "code" to unlock a mini game.
-Added an "Exclude" option in the game profile window, to manually exclude files from the save file check. This is only needed if you noticed that the last modified file isn't the main save file.
 For example you can type in "Settings.dat,game.dat" (without space after comma and quotes), then those files will be excluded from the check.
-Nier Automata profile will now backup every file in the save folder, since restoring just the main save file won't work if restore in a diffrent steam acc. If you already have a Nier profile it's recommended to add the missing files to the backup archives manually.
-Improved right clicking on the listview. The menu will now show up instantly, without needed to click on a backup the second time.
-"Character Info" is now a dynamic menu. For now only Elden Ring has the option to see all characters stats from the save file. In the future other game depend settings could be added (feel free to make requests).
-If you get a WMP class error, open the ERAB.ini and change SoundWMP= to 0 and restart EZAB. This will use the default sound playback, but the volume control for notification sounds will be disabled.
-Fixed a bug where right click > "Character Info" didn't find the save file for Elden Ring.
-Fixed an issue where the listview sometimes won't get focused (highlighted grey).

-----3.1.2-----
-Added support for Marvel's Spider-Man Remastered.
-Included WatchFolder.ahk which replaces the old save file check method.
-Fixed a bug in renaming a Quick Launch App, where the name didn't refreshed until restarting EZAB.
-Fixed a bug where all Quick Launch App buttons weren't forced disabled after creating a new profile.

-----3.1.1b-----
-Updated the tooltip for "Max amount of auto backup files" count in "General Settings".
-The EZAB status overlay now also shows the last modified save file.
-Fixed a bug where the auto backup timer in the settings weren't correctly loaded according to each profile settings.
-Fixed a bug where the max save count isn't saved to the profile.

-----3.1.1a-----
-Removed an unnecessary loop for for setting the save folder, which may cause a short freeze in the folder browser window.
-Fixed a bug which stops checking the save file and causes auto backup to stop, if you changed the save folder.

-----3.1.1-----
-Cy1OVUhUSM7PKynKz8lJLVIoyVdIy8xLUSjJSFUwUkgqLSnJzysGiSYml2SWJZak6gEA
-Added an option to turn off the sound for "Start/Stop Auto Backup" in the "General Settings".
-Added infinite auto backup, if 0 is set as the max auto backup count.
-Corrected a tooltip.
-Fixed a bug where most of the played notification sounds wasn't affected by the adjusted volume.

-----3.1.0-----
-It's now possible to map the controller buttons LT, RT and the analog sticks.
-Added an option in "Settings > Hotkeys" to save the current hotkeys to every profile.
-If you choose to use the quick setup process, a tooltip is added to guide you through.
-Corrected a few texts.
-You can now close the game list dialog, after starting the Quick setup.
-Fixed a bug where the current quick selection mode in the "Quick Selection" settings, didn't show up when the game isn't running.
-Fixed a bug where you could bind multiple DPAD directions.
-Fixed a bug where after downloading an EZAB update with no profiles, the Quicksetup info still showed up before EZAB restarts.
-Fixed Nonexistent menu item error.
-Other minor bug fixes.

-----3.0.8-----
-Quick Launch Apps can now be set for each profiles seperately.
-Changed the order of menu items under "File > Open folder".
-Select game folders dialog will now show up in the taskebar.
-Improved GAME.ERAB update handling, your custom games will automatically added to the updated list if a new version is available.
-Removed "Save/Restore ERAB.ini.bak" functions under "File > Settings", since important settings are saved in each profile, so theres no need to backup the EZAB settings.
-Fixed a bug where renaming a profile doesn't work.
-Fixed a bug where Updating a profile doesn't work as intended.
-Fixed a bug where the game type detection doesn't work as intended, if the game type was not correctly set.
-Fixed a bug where hotkeys weren't turned off correctly, after deleting or creating a profile.
-Fixed a bug where it's possible to create a profile without setting up the game folders.
-Other minor fixes  and improvements.

-----3.0.7b-----
-Fixed a bug where after renaming a backup from games with multiple save files, the screenshot file wouldn't be renamed aswell.
-Fixed a bug for Nier Automata profiles, where the last modified save sometimes showed up as "N/A".
-Fixed a bug for Nier Automata profiles where backups not working as intended.
-Fixed a bug where the previous keyboard hotkey from a profile were still active, after switching profiles.

-----3.0.7a-----
-Added support for Nier Automata.
-You can now start auto backup regardless of whether a save file exists or not.
-"Last save:" in the statusbar renamed to "Last modified:".
-Fixed a bug where the restored backup wasn't renamed after beeing moved to the save folder.
-Fixed a bug when deleting a backup from the listview, the file count didn't refreshed.
-Fixed a bug in the gamelist, where the game position in the list was not correctly set, so edit or deleting a game would be applied to the wrong game.

-----3.0.7-----
-Hotkeys are now saved seperately within profiles and loaded from each profile.
-If a new EZAB version is available on launch, the New update info will show up again, instead of just the new update icon.
-Added a check to profiles to make sure the timestamp has the right format.
-You can now delete and rename the Quickbackup file in the listview.
-Fixed a bug where backups from other games, would also show up in the listview if the current profile if the same backup folder is set.
-Fixed a bug when toggle "Instant backup" the timer wouldn't run correctly.
-Fixed a bug where the statusbar info text would stop updating in some circumstances.
-Fixed a bug where "Last save" on the statusbar would show some other last modified file from windows, if no profile exists.
-Fixed a bug where the previous keyboard hotkey were still active, after it has been changed.
-Fixed a bug where backups are not loaded to the listview when changing the save folder, because a "\" is missing at the end of the path.
-Other minor improvements & bug fixes.

-----3.0.6a-----
-Improved statusbar info messages, new events are now displayed without interference from fixed messages.
-Fixed a bug bug where only 1 file was backed up, when a game has multiple save files and improved the method for detecting those type of games.
-Fixed an issue, where an error message will show up when opening the settings and there's no internet connection.

-----3.0.6-----
-Improved "Known bugs" handling, bugs from each version will now be saved (beginning fom 3.0.6), instead of only the newest known bugs.
-If the ComObject WMPlayer.OCX.7 for playing notification sounds isn't available, the sound options will be disabled.
-Fixed a bug where the interval timer from the ERAB.ini was loaded, instead of the setting from the profile, whhen turning on "Start Auto Backup".

-----3.0.5d-----
-Fixed a bug where manual backup would create an empty archive.
-Fixed a bug where restoring an uncompressed backup doesn't work.
-Fixed a bug where Quickbackup wasn't working
-Fixed a bug when the backup interval reached 0, the global settings from the ERAB.ini was reloaded, instead of the setting from the profile.

-----3.0.5c-----
-Fixed a bug where checking for a new save file didn't worked with "Instant backup".
-Fixed a bug where the packed backup file didn't had the same name as the listview entry (only save files from games with multiple save files won't be renamed).

-----3.0.5b-----
-"Auto Backup" and "EZAB Status overlay" settings will now save to each profile seperately. If available it will load from the profile, otherwise from the global settings in ERAB.ini.
-Removed debug message when restoring a backup.
-Fixed renaming a backup doesn't work with the new backup method in 3.0.5.
-Fixed a bug where the Status overlay didn't show up after repositioning (Ctrl+Alt+S).
-Fixed a backup where double clicking the listview won't restore a backup. You had to select it first then double click.
-Code cleanup, removed a few unnecessary calls.

-----3.0.5a-----
-Fixed a bug causing the first auto backup always beeing created on game launch, regardless of the files modified date.

-----3.0.5-----
-Added a user friendly dialog to set the game folders for a new profile.
-Added the option to change/fix the current profile's game type, if you go to "Create a game profile" you can select a game and click on "Update Profile".
-If your profile file has not been correctly saved, a message will show up to let you know to update your game type.
-Improved modified save file detection, if a game has more than 1 save file every file will be checked for the last modified date (e.g. Mafia 3 or Control).
-Improved screen mode detection. Fullscreen, Borderless Windowed mode are now properly differentiated (it may depend on the game tho).
-The backup and save folder won't be stored and accessed in the ERAB.ini anymore, instead it will always accessed from each profile.
-Updated GAME.ERAB (all file extensions must now have a ".") to support the game "Control". This will not be compatible with EZAB 3.0.4a and below, since the save file extension format has changed. (To load a backup you may have to exit Control first)
-In the listview's right click menu, it's now possible to click on the selected backup file name, it will open the save folder and select the file in explorer.
-When compression is enabled (enabled by default), auto backup will now backup every save file in the folder, instead of just the main choosen save file.
-When adding new game profiles, the save file extension now requires "." and will automatically added if not entered.
-Manuall update check wil now also check for known bugs.
-Auto Backup count moved to the listview column area.
-The game profile list is now sorted.
-Statusbar area for last auto save has been enlarged and now shows also the file name of the last modified save file.
-The listview won't always refresh anymore, when selecting an item.
-Fixed the functionality of profile backup with the overwrite method. Current auto backups were always added to the archive, instead of overwriting the whole profile backup.
-Fixed auto backup intervall was set back to 1 if 0 was set before with "Instant backup" enabled.
-Fixed the size of the "Save file name" editbox in Game profile list was auto adjusted, when the name was too long.
-Other minor changes and fixes.

-----3.0.4a-----
-When you add a new game without ".exe" in the game.exe name field, the .exe extension will now be automatically added.
-Fixed loading a backup manually from the backup list didn't work.
-Fixed a bug that sometimes just writes a timestamp to the profile when exiting the game.

-----3.0.4-----
-Added a check if ComObjCreate("WMPlayer.OCX.7") is missing, then sounds just won't work instead of showing an error message.
-Added a prompt before updating to a new GAME.EAB profile list, to make sure you backup your own list first before updating.
-GAMES.ERAB updated, new games: Mafia 3, Stray. Please make sure you update your own list first before updating EZAB because there is no prompt in the previous versions! 
-Lengthened the edit box for game.exe in the Game profiles dialog. 
-Fixed fullscreen mode detection only worked for Elden Ring, the function has changed to work with other games.
-Fixed profile creation didn't create the correct profile.

-----3.0.3a-----
-Fixed an issue where the profile was not correctly created if it was ELden Ring.
-Fixed an issue where keyboard hotkeys wouldn't work because the game was not detected correctly.
-Fixed an issue where deleting a profile would create a .profile file.

-----3.0.2-----
-Fixed an issue with the overlay, which wasn't check for the correct variable to show up, and didn't refocus correctly back to the game, where you woulnd't have controls or keyboard hotkeys won't work, unless you click back to the game.

-----3.0.1c-----
-Added status info text for manual, quick backup and quick restore.
-Fixed a bug where the Elden Ring game would not be recognized for the backup functions.

-----3.0.1b-----
-The GAMES.ERAB file now has it's own version to stay up to date.
-Nioh added to GAMES.ERAB.
-Fixed a bug where the listview did not refresh, after changing the backup folder.
-Fixed a bug where a profile variables did not get updated when switching the profile.
-Fixed Status overlay sometimes hide after repositioning, when the game is active.
-Fixed saving new Status overlay position, often messing up the <profile>.profile.

-----3.0.1a-----
-Fixed the profile check to convert old profiles to the new game detection method.

-----3.0.1-----
-ERAB renamed to EZ Auto Backup since the reworked game detection which is now dynamic.
-Added an option to turn on "Always on top" for ERAB in "Menubar > Options".
-Added a "Status overlay" in game if using windowed mode, it will display the current status message of ERAB.
-Added an option to toggle "Status overlay" in "Settings > Misc" or "Ctrl+Alt+S", and save the overlay position for each profile individually.
-New "Create profile" dialog.
-Rewritten the game detection function, which is now more dynamic.
-You can now add literally any game to EZAB in the new "Create profile" dialog. Every game is stored in the GAME.ERAB file. Feel free to post your custom game setting to discord or the Nexus comments section. I added profiles for Dark Souls I-III.
-Improved files check function.
-"Check for update on start" in "Menubar > Update" is renamed to "Auto check for updates"
-"Roaming folder" renamed to "Save folder".
-A few minor text corrections.
-Fixed if no profile is selected the default background will now apply.
-Fixed tooltip for overlay size and font showing up correctly.
-Fixed changing a profile save or backup folder in settings, could sometimes not saved the correct path.
-Removed debug message, after binding a keybboard hotkey.
-Code optimizations.

-----3.0.0-----
-Added an option to choose the overlay size between small (default) and big.
-Added a progressbar to the splash screen and Compress all files function.
-Added an option to set the auto update interval timer between 15, 30, 45 and 60 min in "Menubar > Update > Update Interval".
-Added "Help" section to the menubar with shortcuts to the NexusMods ERAB comments, bug report page and Join Discord for support.
-Changing the overlay text color will automatically reopens the overlay if already opened.
-Changed the bahaviour of "Instant backup", when the timer runs out it will now directly check for a new save file instead of waiting for the next check.
-"update.png" has been changed slightly, if you want to get the new icon file you have to delete Gfx\update.png manually.
-"Version History" changed to "Changelog".
-Made a few little UI rearrengements and text corrections.
-Adjusted the overlay window to match the 16:9 aspect ratio.
-The "Quick Selection" list now also includes "Quickbackup".
-Improved overall overlay functionality while in config mode.
-Improved countdown timer in the status to show the correct format not only in seconds.
-Optimized code for splash screen.
-Fixed "Instant backup" was wrongly set as active when ERAB launches, and the timer was not always set correctly.
-Fixed "Prevent backing up in a wrong profile" shows up when an ER profile is set as default whether it's coop or not, which should onyl show when it either one.

-----2.6.3-----
-Improved game detection.
-Added a countdown timer to the statusbar for "Instant backups".
-Fixed inaccurate screenshot, when using "Instant backup" with an intervall lower than screenshot delay (the last was used instead of the current).
-Fixed ERAB beeing slow when choosing "yes" for a quick setup on a fresh install. 

-----2.6.2-----
-When exiting the game, the forced backup will now only be made when auto backup is turned on.
-Fixed backup sound was playing tho no backup is created, when launching the game using "Instant backup".
-Fixed "Autostart Auto Backup" option always reactivates "Auto Backup" when you manually want to stop the function with controller hotkeys.
-Forgot to remove ERAB_Settings.ini, because it was a test file for checking the missing files function.

-----2.6.1-----
-Added periodic update check every 30 min if "Check for updates on start" is turned on, which will also updates "Known bugs".
-Added an info message to create a profile, if a profile backup was selected to restore and no profile exists.
-Changelog and About text are now get from the ERAB server.
-"Character Info" is disabled for Dark Souls III.
-Removed debug message before the preventing backup in a wrong profile info.
-Fixed negativ running auto backup timer, when the intervall was 0 and while turning off "Instant Backup".
-Improved check for missing files and update server request.
-Other minor bug fixes.

-----2.6.0----- 
-Added icon background transparency. 
-Added Profile backgrounds" which can be toggle in "ERAB Settings > Misc", to change the UI background according to the game profile (enabled by default). 
-Added new a icon to replace "Default profile" checkbox. 
-Added missing dark mode theming for "Character Info", "Profile Type" and "Profile backup" dialog. 
-Added a bugs icon, which will show up besides the update icon to show all known bugs. 
-It is possible to set the auto backup interval to 0 if "Instant Backup" is turned on, then it will always directly backup when the game auto saves. 
-Improved update function, for better timeout handling. ERAB wohn't freeze for a few seconds if the server could not be reached anymore. 
-The Profile name in the "Backing up profile" dialog, will now always show a line below to be more consistent. 
-Tooltip for "Toggle auto profile backup" changed, for a better understanding. 
-All groupbox texts are now centered. 
-Check for missing image files Improved. 
-Game detection for functions after switching between DS3/ER profiles improved. 
-Compact UI button position changed and is now labled as ">" or "<" depending on the mode. 
-Other UI rearrangements for compact/default mode and text changes. 
-Fixed "Auto profile backup on exit" every x days checked the time which needs 24h to past, instead of only the day. 
-Fixed "Hotkeys set" didn't count the controller hotkeys, if only the controller hotkey was set for a function. 
-Fixed "Prevent auto backups in a wrong profile" feature didn't work as intended. 
-Fixed "Prevent auto backups in a wrong profile" message should only be shown in existing profiles with backups and not new profiles.. 
-Fixed Custom keyboard hotkeys didn't work as intended when switching between DS3 and ER. 
-Fixed using hotkeys for restore last/2nd last/quick selected backup didn't save the current profile as last used profile. 
-Overall improvements and fixes for functions which needs to check between Dark Souls 3 and Elden Ring. 
-When using manuall backups for DS3, the listview item had the ER icon instead of DS3.  

-----2.5.1----- 
changed: 
-The new update available icon will now also show up when checking manually for update, instead of only for auto check on start. 

fixed: 
-Tooltip corrections for the 2 profile backup methods. 
-Auto "Profile Backup" using continious method on exit, sometimes creates a .7z without a filename. (hopfully it's fixed cause i couldn't always replicate this issue) 

-----2.5.0----- 
added: 
-New icons replaces for "New Profile", "Rename" and "Delete". (You can make your own icons by replacing the ones in the ERAB\Gfx folder) 
-New button to backup the current profile with all it's backups according to the backup method in "General Settings", and the folder can be changed in "Game Folders" settings. 
-New button to load a profile backup. The backup file name must contain the profile name, then all backup files will be restored to the same profile backup folder. 
-New button to enable auto backup individually for each profile. The auto backup profile function must be enabled under "Profiles > Auto backup profiles on exit". 
-New update indicator button will show up when a new version is available, instead of the new version dialog. 
-Red buttons means it is disabled. 
-If a profile backup exists, the backup button will be green, otherwise white. 
-An option to backup all profiles under "Profiles > Backup all profiles". 
-An option to turn on auto backup for profiles under "Profiles > Auto backup profiles on exit". 
-An option in "ERAB Settings > Misc" to check if the last used profile match the current profile, to prevent creating auto backups in a wrong profile. 
-Settings for "Backup Profiles". 
-"Profile Backup Folder" to the "Game Folders" settings, to choose where profile backups will be saved. ERAB will create *\ERAB\Backups\ by default. 
-New waiting dialog for some functions, which required no ERAB interaction. 
-Settings for "Profile Backup", choose between 2 methods for backing up the profile when exiting ERAB. 1) Always overwrite the same <profile>.zip 2) Create individual files with <ProfileName>_<Date-Format>.zip as the filename. The date format can be changed under "Misc" in "ERAB Settings". 
-Settings to set how frequent auto profile backups should occur every x days. 

changed: 
-Game Folders settings is now in seperate tab. 
-Texts and tooltips updated. 
-UI rearrangements. 
-All images files are now moved to ERAB\Gfx\. 
-If a new version is available, the update icon will show up instead of showing the update dialog. To update ERAB click on the icon to open the update dialog. 
-Instant Backup, now also uses the interval time to reduce the amount of backup, unlike interval backups, it will backup instantly when the game auto saves, but not before the timer expired. The timer will reset after creating a backup. 

removed: 
-(Coop) or (DS3) indicator on the listview column for a cleaner look, since you can differentiate them through the icons or "Profile Type" tooltip at the Profile drop down list. 

fixed: 
-The Settings UI position wasn't at the current but the last exited ERAB position. 
-File check order changed, to avoid ERAB GUI beeing freezed for 1 or 2 seconds. 
-When creating a new profile, the title "Select the roaming folder for <game>" didn't showed the game from the selected game type, but always from the active profile. 
-When canceling the select game type dialog, ERAB went to the background. 
-It was not possible to delete a profile, if after deletion no other profiles exists. 
-After updating ERAB, no backup of the old version was made. 
-Updater, backup and restore old ERAB version function. 
-Other minor text corrections. 

-----2.4.6----- 
fixed: 
-After code changes for read ini, renaming coop profiles was broken. 
-Deleting a (coop) profile leaves a "None" profile in the list. 

-----2.4.5----- 
added: 
-Profile type in profiles drop downlist tooltip. 
-If in some rare cases the roaming path is somehow messed up in the profile, an info will show up in the status bar to reset the roaming folder. 

changes: 
-Minor dialog rearrangements for "Game type selection". 
-Code improvements for read/write ini. 

fixed: 
-Restoring "Compact Mode" on launch was delayed. 
-Deleting/adding a keyboard hotkey didn't refresh the "Hotkeys set" count instantly. 
-When binding a controller button, the hotkey was set but didn't show up in the edit box. 
-Keyboard hotkeys always showed the previous keys bindings until restarting ERAB. 
-Other minor fixes. 

-----2.4.4----- 
added: 
-An option to revert back to the previous ERAB version under "Update > Restore Old ERAB Version". ERAB.old will be created after an update. 
-Profile types will be now also autocorrected, if for some reason the type is not saved correctly. 

changed: 
-Backup folder size format to also show GB with 2 decimals places. 

fixed: 
-"Stop Auto Backup" tooltip still shows "Start". 

-----2.4.3----- 
changed: 
-Settings dialog is now always on top. 

fixed: 
-"Gui, Overlay:Show, %Overlaypos%.." Error (QuickSelection HUD) on a fresh install. 
-DarkSoulsIII.exe process wasn't added for the backup functions to work, and many other missing code adjustments regarding the DS3 profile (still experimental). 
-The profile type will be now saved to older profiles and is also set at the beginning to make sure backup functions work. 
-Keyboard hotkeys for ERAB and Backup functions not working correctly. 

-----2.4.2----- 
changed: 
-Improved the download method for missing files e.g. icons. 
-When creating a new profile, choosing the profile type will be the first dialog instead of the last. 

fixed: 
-Choosing the roaming folder, always shows a "No save file found" error. (now it's really fixed sorry for that!) 
-Other minor fixes. 

Updater.exe updated. 

-----2.4.1----- 
fixed: 
-Choosing the roaming folder, always shows a "No save file found" error. 

-----2.4.0----- 
added: 
-More user friendly dialog to choose the Backup file format (Elden Ring or Seamless Co-Op). 
-Experimental Dark Souls 3 Profile, i don't have the game but it should work if the save file is named DS30000.sl2, if not feel free to report. 
-Listview icons for each profile type. 

changed: 
-Resized the backup screenshot slightly. 

fixed: 
-Renaming a Co-Op profile will turn the profile to normal, because the new name wasn't updated in the ini file. 
-The current backup folder size in the listview column, didn't updated correctly after selecting a file from the list. 

Updater.exe updated. 

-----2.3.3----- 
added: 
-Click on the QL name in "ERAB Settings" to rename the current QL name. 
-Tooltips for rename Quick Launch App. 

changed: 
-Renaming the profile or backup file to "Temp" is not allowed, because it will conflict with the ERAB\Temp folder which will corrupt the backup file. 
-Moved Profile DropDownList up by 1px for a cleaner allingment. 

fixed: 
-Browsing an existing Quick Launch App won't always open the current set directory. 

-----2.3.2----- 
changed: 
-Improved last profile handling, the profile in which a backup is created is now set as the last profile and not just the one selected before exiting ERAB.  
-You may only have to load a backup if the profile doesn't match the last profile (in which last backups were created and not the last selected profile), this will be also mentioned in the info message. 
-"Autostart Auto Backup" option always activates "Start Auto Backup" when you manually want to stop the function. Now autostart will only be reactivated after Elden Ring is restarted. 
-A few texts in confirmation dialogs. 

fixed: 
-"File > Settings" isn't disabled when deleting a profile and afterwards no other profile exists. 
-Deleting a default profile didn't uncheck the "Set Default" checkbox. 

-----2.3.1----- 
changed: 
-"(Coop Mod)" indicator in the backlist column corrected to "(Coop)". 

fixed: 
-MaxHotkeysPerInterval Error when using the mouse wheel to often in ERAB. 
-backup functions for coop didn't work. 

-----2.3.0----- 
added: 
-Support for Steamless Coop Mod (You have to create a new profile and type "yes" when asked if the profile is used with the coop mod). 
-Coop profiles will be indicated as (Coop) in the Backup List column. 

changed: 
-The Profile selection list will be temporary disabled, when the Folder selection is prompted to avoid errors. 
-Spaces and other special character restrictions in profile names. 

-----2.2.2----- 
added: 
-"File > Settings > Save to ERAB.ini.bak" to manually backup the settings. 
-Confirmation promp for "Restore ERAB.ini.bak". 

changed: 
-Adjusted the width for "Modified date" so that no horizontal scrollbar would appear by default. 
-"Restore Old Settings" renamed to "Restore ERAB.ini.bak". 
-ERAB.ini.bak wont be created on exit to save the settings anymore, a backup can be manually created under "File > Settings > Save to ERAB.ini.bak" instead. 

-----2.2.1----- 
fixed: 
-"Character Info" always shows "No save file found!". 

-----2.2.0----- 
added: 
-An option to restore the old ERAB.ini settings under "File > Settings > Restore Old Settings" 
-An option to restore the default ERAB.ini settings under "File > Settings > Restore Default Settings" 
-ALT+S shortcut to open settings. 
-Quick Setup promp instead of forced, if coming from a clean install; no gamefolders set or no profiles found. 

changed: 
-Open Settings moved from "File > Settings" to "File > Settings > Open". 
-ERAB.ini won't be restored automatically anymore, it can be restored manually instead under "Menubar > Settings > Restore Old Settings". 

fixed: 
-Default Profile (ERROR) message when updating from an older version and no default profile is set. 

-----2.1.4----- 
fixed: 
-"File not found!.." message although a Quick Launch app was set. 
-QL buttons may not been enabled/disabled correctly. 

-----2.1.3----- 
added: 
-Info message for "Quick Launch" apps, if the application doesn't exist. 
-GUI compact/default mode will be saved and restored on launch. 

changed: 
-Total disk space usage moved to the listview column "x Backup file(s) (x MB)". 
-UI rearrangements. 

removed: 
-Debug message with F3. 

fixed: 
-Tooltip for "Auto backup" showed up at the wrong element (Backup Folder). 
-Other minor corrections. 

-----2.1.2----- 
added: 
-seperated Tabs for "Version History" and "About" in settings. 

changed: 
-"Backup count:" text on the statusbar changed to "Auto Backups:". 
-During the quick setup process, it's no longer possible to open the settings, if you haven't finished setting up the game folders. 

fixed: 
-Changing fonts didn't work in the last updates. 
-Current selected "Quick Selection" mode didn't show up in the settings. 
-A few tooltips didn't show up depending on the windows resolution or dpi settings. 
-Other minor bugfixes and corrections for text and UI element positions. 

-----2.1.1----- 
changed: 
-Scrolling through the profile list with the mouse wheel, now requires the backup list to be fully loaded to prevent loading the incorrect list when using the mouse wheel too fast. 
-Info message when the default profile was loaded. 

fixed: 
-After "delete profile" was cancled, ERAB switched to the first profile. 

-----2.1.0----- 
added: 
-Profile buttons above the listview for a more convenient and quicker way to manage the profile(s). 
-"Set Default" checkbox to always load the selected profile on launch, otherwise the last used profile will be loaded as usual. 
-Tooltip for the Profiles drop down list, which shows the path for backup and roaming folder and the info that it's possible to change these in the settings. 
-When exiting Elden Ring an autobackup for the current profile will be created. 

changed: 
-"Character Info" on the menubar in "File > Profile" moved back to "File" 
-Button rearrangments for Quick Launch buttons and they're now also available in "Compact UI" mode. 
-Updated a few tooltips. 
-Auto start Auto backup on startup function changed to always start Auto backup when the game is launched. 

removed: 
-Confirmation messsages on Profile create, rename and delete. 
-"Profile" menu from the menubar. 

fixed: 
-After choosing a backup folder for a new profile, it was possible to cancel the following prompts for roaming folder and profile name. 
-Statusbar didn't instantly refreshed after changing the max count. 
-The wrong tooltip showed up when the Settings dialog was active and the mouse moved to the Main dialog in the background. 
-"Menu, Open.. not found" Error, after installing a fresh ERAB version over an older version manually from NexusMods. 
-When the listview date format is changed, the date format for Last autosave on the statusbar didn't updated. 
-Other minor bugfixes and corrections. 

-----2.0.2----- 
fixed: 
-A None! message popped up when a None.profile existed, that profile will now be auto deleted. 

-----2.0.1----- 
changed: 
-Tooltip for seconds input in "Take screenshot with x seconds delay" updated. 

fixed: 
-Refreshing Listview with F5 didn't work when the Quickbackup file was selected. 
-Tooltips will now only show when ERAB is the active window and hidden when it's not.  

-----2.0.0----- 
added: 
-Profiles now also saves individual Romaing folders for multiple Steam accounts. To change the roaming folder of the current profile, go to settings and choose a diffrent roaming folder. 
-"File > Settings" to open the settings dialog. 
-When launching ERAB for the first time, create profile will automatically popup to help you with the setup. 
-A notification to load or create a profile, if any exists and not selected. 
-If you come from an older version without using a profile, a "Create Profile" promp will show up. 

changed: 
-"File > Profile > ProfileName" will now also open the backup folder. 
-"Character Info" for the current save, moved from "File > Character Info" to "File > Profile > Character Info" 
-Settings Tabs are now in a seperate dialog to reduce loading time at launch. 
-A Profile is now required to use ERAB. 
-"Delete" a profile won't have the option to just delete the profile without deleting backups anymore, so delete only with caution! 

fixed: 
-A version window showed up which shouldn't, when the Updater.exe gets an update. 

-----1.8.0----- 
added: 
-"Character Info" right click menu, select a character from a save file, to see their current stats. 
-"Character Info" on the Menubar > File, to see the character stats from the current save in the roaming folder. 
-An option in Menubar > Options, to enable auto start "Start Auto Backup" on ERAB launch. 

changed: 
-Manual and Quickbackup backup sound notification is now always on, and the toggle "on" sound option only applies to auto backups. 
-After refreshing the listview the last selected file will be reselected. 
-Renaming archives now also renames the .sl2 file. (Selected backup files will be temporary unpacked to BackupDir\Temp, the folder will be deleted when exiting ERAB) 

fixed: 
-Modified date of archives didn't always matched the save files. 
-Auto Save sound always played when starting Elden Ring. 
-"Delete Profile" wasn't disabled, when no backup folder was set and no profile exists. 
-A profile "None" was always created, after selecting a backup folder. (You can delete that in the ERAB folder) 
-Other bugfixes and improvements. 

-----1.7.7----- 
fixed: 
-Auto backups always had the default date format and not the custom if set, until the listview is refreshed. 

-----1.7.6----- 
added: 
-Open ERAB Folder option. 
-Manual backups which was named "USER..." before will now be named as the current profile name if a profile is used. 

changed: 
-Improved the double clicking in the listview, fast clicking is now possible. 
-Updated the About text. 

fixed: 
-Load profile was not enabled correctly in some circumstances. 
-A bug in updating the Updater, where the variable of the new version wasn't saved until restarting ERAB. 
-When an input was prompted, a tooltip of another element was shown somewhere in the input dialog. 
-Manual backups always had the default date format and not the custom if set, until the listview is refreshed. 
-Renaming a backup file after the name already exists, just shows the new name correctly in the listview but the actual wasn't renamed. 
-Other bugfixes. 

-----1.7.5----- 
fixed: 
-When creating a new profile, it was possible to cancel the name input promp or left it blank. 
-Some code for installing a new the updater if avaialable. (a bug from 1.7.x) 

-----1.7.4----- 
added: 
-Menubar 
-The current active quick selection mode, which depends on the in game screen mode, is shown in "Quick Selection" tab under "Quick Selection". 
-The splash screen will now show up everytime, ERAB is restarting. 

changed: 
-Rearranged a few right click menu and UI elements, which are moved to the Menubar. 

fixed: 
-Creating a new profile on a current used profile, will overwrite the current profile path as well. 

-Code cleanup. 

-----1.7.3----- 
fixed: 
-If no profile exists, Load profile was not disabled. 

-----1.7.2----- 
fixed: 
-The current profile will be messed up when changing the backup folder in "General Settings". 

-----1.7.1----- 
fixed: 
-When the browse dialog for creating new profile was canceled, you were still prompted to enter a profile name and the profile was then renamed. 
-Rename/Save profile name input could not be canceled. 
-When the backup folder was not set, Save profile was not disabled. 

-----1.7.0----- 
added: 
-Profile manager in the right click menu, for managing multiple character backups. 
-An option in "Miscellaneous" to set a delay in seconds for screenshot, to avoid Loading screens. 
-Options to set the notifications and TTS volume in "General Settings". 
-A splash screen when launching ERAB. 
-Open Folders in the right click menu. 
-Hotkeys for the listview: F2 to rename, F5 to refresh the list, Double click to restore backup file (don't click too fast). 

changed: 
-Updated a few tooltips. 
-Restoring method for ERAB settings (the ERAB.ini backup will only be restored if the game folders are not set). 
-When adding or deleting an item from the listview, the sorting won't change anymore. 
-"Auto save" sound options now also affects "Instant Backup". 
-Selecting UI fonts will apply them directly. 
-A few UI and listview rearrangements and text changes. 

fixed: 
-The "DEL" key sometimes did not work in the listview and you could delete the Quickbackup file if it worked. 
-The "Start Auto Backup" button show your "..\local\Temp" path when the hotkey is not set. 
-When more than 1 unbinded controller buttons exists, it will be also recognized as doublicated hotkey. 
-When creating a manual backup while compression is enabled, the .zip extension won't show up in the listview until the listview is refreshed. 
-Compressed Last and 2nd Last Auto Backup could not be restored. 
-Quick Launch App Name didn't show up directly in the tooltip, when an app was set. 
-A disk space usage error would show up, when the backup folder has been changed to a new one without any files. 

removed: 
-Apply and Default buttons for select UI fonts. 

-Minor fixes, text corrections and code improvements. 

-----1.6.4----- 
fixed: 
-Auto save sound plays repeatedly untill a new auto backup was created. 
-Manual backup with compression didn't work. 

-----1.6.3----- 
changed: 
-Updated the folder select dialog for "Game Folders" to the same style as file select. 

fixed: 
-A bug where the QuickBackup was deleted. 

-----1.6.2----- 
added: 
-Statusbar notification if the Updater.exe is updating. 
-An option in "ERAB Settings" to choose difrent date formats for backup files. 
-An option to create a folder within the choose "Backup Folder" dialog. 

changed: 
-A few UI rearrangements and text changes. 
-Listview is now disabled while compressing all files. 
-Improved "Quick Selection" list, it also matches now the listview sort by date order. 

fixed: 
-improved update function of the Updater. 
-An error display in "Quick Selection" when clicking show overlay again, while the overlay for repositioning is still open. 
-a few minor bugs. 

-----1.6.1----- 
added: 
-included 7z command line version, which is now used for .zip compression for better compatibility. 

fixed: 
-Restoring backups sometimes didn't work. 

-----1.6.0----- 
added: 
-Backup files are now auto compressed by default, and are about 2,5 MB in filesize each.  
There are no checks whats inside the archive tho, so make sure there is only one .sl2 backup in each .zip if you want do it yourself. 
-Listview right click menu "Compress all", to compress all uncompressed files. 
-Listview right click menu "Listview", for changing Sort by date format and resfresh the list. 
-An option in "ERAB Settings" to turn off screenshots for each backup. 
-An option to "ERAB Settings" minimize ERAB to tray. 

changed: 
-Moved Listview sorting options to the right click menu. 
-Reduced the delay to select from "Quick Selection" with controller hotkeys. 
-UI rearrangements in "ERAB Settings". 

fixed: 
-An Error when launching ERAB from the windows searchbar/startmenu. 
-Turning off "Instant backups" didnt reenable the Edit box for auto backup intervall in minutes. 
-ERAB status messages were flashing/overlapping on the statusbar, when auto backup was turned on. 
-When restoring a selected renamed file with TTS for "Quick Selection", the voice did not say the actual filename of a renamed file, instead it just said "&backup". 
-An issue with manual backup files beeing deleted. 
-Updating to a newer version didn't work. 

-Improved "Instant Backup" function. 
-Other minor fixes and code improvements. 

-----1.5.2----- 
added: 
-Total of 4 Quick Launch apps shortcuts. 
-Quick Launch apps Settings. 
-Auto detection for in game Screen mode, to set the Quick Selection mode accordingly. 

changed: 
-A few rearrangements, texts and elements changes in the UI. 
-Auto update order for the Updater. 

fixed: 
-Minor UI text corrections. 

-----1.5.1----- 
changed: 
-Tolltips are now closing after 3 secs, in case of getting stuck on an element. 

fixed: 
-Edit Boxs for all TTS texts in the Notification Sounds, always refreshed the text pointer when the game was running. 
-Binding the same Buttons, on a function as before, won't trigger doublicated button dectection anymore. 

-----1.5.0----- 
added: 
-Customizable game controller buttons as hotkeys. 
-A seperate settings tab for Hotkeys. 
-Statusbar notification, for downloading and restarting ERAB. 
-Statusbar notification, when game folders are not set. 

changed: 
-hotkeys don't require the game to be the active window, it just has to run. 
-A few rearrangements, texts and elements changes in the UI. 

fixed: 
-"del" key to delete selected backup in the listview, now only works in the listview tab, instead of in every other tabs. 

-----1.4.4----- 
added: 
-"Listview Date Format" in "Settings 2", to change the format of modified date in the listview. 

changed: 
-"Quick selection" settings tab renamed to "Settings 2". 
-"Suggestion" and "Bug Report" in "About" tab, replaced with "Join Discord" button. 

-----1.4.3----- 
fixed: 
-Forgot to remove debug messages for controller testing. 
-Controller hotkeys were still active even tho the game wasn't running. 

-----1.4.2----- 
added: 
-XInput.ahk to map hotkeys to the (XBOX) Controller.  
-Hotkeys for X-Box controller (not sure if it works for others too), see Hotkeys tooltip for bindings. 
-Info message in "Sound Notifications" to let you know how to replace notification sound files. 

fixed: 
-Quick selection still shows up, when both QS methods are disabled. 

-----1.4.1----- 
fixed: 
-Screenshots were always taken from monitor 1, and not on the screen where the game actually was.  

-----1.4.0----- 
added: 
-Quick selection Settings Tab. 
-Quick selection for quick selectig backup files without switching to ERAB. (2 methods for fullscreen and windowed mode, you can either choose one of these. See below) 
-Quick selection in windowed mode: Shows an overlay when selecting backups. 
-Quick selection in fullscreen mode: TTS confirmation for backup selection in game. 
(The overlay will tab you out the game when in fullscreen, so choose accordingly your prefered settings.) 
-Hotkeys for select and load "Quick selection" backups. 
-"Auto backup not active." message on the statusbar, when auto backup is not active.  

changed: 
-"Settings" Tab renamed to "General Settings". 
-"Max backups" text chnaged to "Max auto backups" to make it more clear, that only auto backups are affected. 

-----1.3.1----- 
fixed: 
-Switching to minimized UI moved the GUI to the last known position and not the current. 
-"Auto backup paused" message didn't show, when Elden Ring wasn't running and "Instant backup" is turned on. 

-----1.3.0----- 
added: 
-Quick launch button, you can add an application for quick access (e.g. eldenring.exe). 
-"About" tab, for Changelogs, Updater, links to Nexusmods. 
-"Suggestion" and "Bug report" button will redirect to the nexus comments and bugs section. 
-An option to toggle on/off auto update check on start. 
-"Check for Update" button readded. 
-The Updater.exe/ahk will auto updates in the future if necessary. 

changed: 
-Max backups info text moved to tooltips, when mouse over "Max backups:" 
-TTS variable for autobackup "count x" changed from %n% to &n. 
-When using "Instant backup", only the auto backup sound will play, instead of the auto save. 

fixed: 
-a few minor UI miss alignments 
-All edit boxes which are leaved empty, will now be restored to the default or mininum values (will be visible after switching tabs). 

removed: 
-Titlescreen detection, does not work always as intended. 

-----1.2.3----- 
changed: 
-"..restore last/2nd last backup" renamed to "..last/2nd last auto backup" to make it more clear that only auto and not manual backup files are affected. 

fixed: 
-Auto backup function was kinda broken since 1.2.x, and the listview didn't refreshed. (just noticed now sorry for that) 
-When switching to instant backup the timer for auto backup every x min was still running. Now the timer will reset when toggling. 

-----1.2.2----- 
added: 
-Tooltips on mouse hover. 
-Updater.ahk/.exe detection, so no code changing is needed for compiling. 

changed: 
-Rearranged fonts settings. 

fixed: 
-After changing fonts or theme modes, the GUI didn't reappear at the last position. 

-----1.2.1----- 
changed: 
-Rearranged TTS for last and 2nd last backup settings. 

fixed: 
-TTS for last and 2nd last backup check and edit boxes, aren't meant to be disabled when turning on "instant backup" or "Auto Backup sound" 

-----1.2.0----- 
added: 
-2 hotkeys, quick load last backup, quick load 2nd last backup. 
-Text To Speech for restore last and 2nd last backup. 

changed: 
-Hotkeys tab moved to Appearance, therefore Appearance renamed to GUI Themes & Hotkeys, rearranged a few settings. 
-Quick backup file is renamed to "Quickbackup" for an easier find in the Listview. You can delete or rename the old file (ER0000.sl2) 
-Hotkeys tooltip will close when switch the tab. 

fixed: 
-hotkey doublicates detection using modifiers (ctrl/shift/alt). Hotkeys should now working properly overall. 
-The UI didn't refresh every elements, when switching the theme or fonts. (e.g. showing hotkeys correctly) 

other: 
-code cleanup. 

-----1.1.0----- 
added: 
-Dark Mode, for a dark themed GUI. 
-8 fonts for the GUI. 
-Appearance tab, choose GUI font and switch between bright and dark mode. 
-Fix DPI scale. 

changed: 
-ERAB will always check for updates on launch. 
-The quick backup file "ER0000.sl2", will show up in the listview and can only be loaded. 

removed: 
-"Check for Update" button. 

fixed: 
-Default GUI font wasn't set correctly. 
-Backup files had the wrong screenshots attached (always from the last save, not the current) 
-Instant Backup always active regardless of auto backup is turned off. 

-----1.0.1----- 
added: 
-Updater.exe, updates on the fly without downloading on Nexus mods. 

fixed: 
-Using only hotkeys without auto backup feature won't take a screenshot. 
-"Start/Stop auto backup" button didnt't show the correct text after a save and turning auto backup off. 

-----1.0.0----- 
added: 
-Instant backup function. Backups instantly with each auto save in game instead of every x min. If more than 1 save accured in a min, only the first save will be backed up. (auto backup sound will be deactivated)  
-Right click menu to the ListView, you can rename, load or delete the selected backup file. 
-Manual backup with Hotkeys can be use, without starting auto backup. 
-Show backup folder disk space usage. (total size of everything in that folder) 
-Show how many Hotkeys has been set. (click to show a tolltip for 3 seconds) 
-"Check for Updates" button, will link you to the nexus mods downloads page if a new version is available. 
-ERAB wont create backup files, when you're at the title screen. 
-Minimized GUI style, shows only the listview, Start and Maximize buttons.  

changed: 
-Game saves that were created in a row, in a 5 seconds time frame, won't triggger the notification sound anymore.  
-Elden Ring must not longer be the active window (in full screen) in order to use the Auto Backup function. 
-GUI overhaul, with 2 tabs, ERAB main and settings and a much better Listview. 
-ERAB will now always creates up to a max number of backups, which can be set in settings. Once max count reached the oldest backup file(s) will be deleted. 

removed: 
-"Create Backup" button. Use the hotkey "Manual backup" instead. 
-Auto Backup Slots 1-6. 
-Option for Unlimited Auto Backups. 
-Hotkeys for restore Backup Slot 1-6. 
-in Hotkeys settings, holding shift/control/alt.. and releasing afterwards shows an error message. 

other: 
-smaller changes, fixes & cleanup. 

-----0.7.1----- 
fixed: 
-Sound settings font size. 
-"Create Backup" Button not working. 

removed: 
-Always on top for ERAB. (The other dialogs will still be always on top) 

-----0.7.0----- 
added: 
-Backup Files Manager. You can rename/delete/load your backups here, and see the related screenshots of each file. 
-An option to set your own keybindings for each function. 
-An option to do unlimited auto backups. This will do manual backups automatically instead of the 6 files cycling. (consider your disk space) 

changed: 
-You can now choose your own save folder, instead of the Elden Ring main folder, where it will create a fixed "Save" folder. 
-GUI changes. ERAB will also use fixed fonts now, independently from your os. 
-Sounds Settings are now seperated. 
-ERAB settings will be restored automatically after an update. 

fixed: 
-If the Text to Speech text box is empty, the empty text won't save anymore. 

-----0.6.0----- 
added: 
-restore Button 4-6. 
-"Save" in settings to backup the ERAB settings (ERAB.ini.bak), and "Load" to restore your old ERAB settings, after a fresh update. 
-restore buttons 1-9 will be disabled if not both of the required folders are set, otherwise they'll be enabled if a backfile is available. 
-TextToSpeech for auto backup, lets you know the current auto backup file while playing, can also be turned off in settings. You can set your own speech text in settings. 

changed: 
-cleaner GUI. 
-ERAB will auto backup 6 files in total instead of 3. 
-screenshots are now taken 2 secs after each auto save to avoid loading screens. 
-"Next backup file" Text has been removed, the date of next backup file wil be colored red instead. 
-all of the keybindings has been changed! Please read the instructions for more details. 

fixed: 
-"Load Backup" still plays the restore sound, if the dialog is canceled. 
-(F4) Text disapearing after clicking on "Start/Stop Auto Backup" 

-----0.5.0----- 
added: 
-start/pause sounds. (notify_start.wav, notify_pause.wav) 

changed: 
-"Last autosave" date format in the GUI from dd/mm/yy to dd/mm/yyyy. 

fixed: 
-F1-F3 shortcut to use in game. 
-"Load Backup" now also plays the restore sound. 

-----0.4.0----- 
-Release Version 
